package com.kwad.components.ad.feed.b;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.BitmapFactory;
import android.os.Handler;
import android.os.Looper;
import android.os.SystemClock;
import android.text.TextUtils;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.TooltipCompatHandler;
import com.kwad.components.ad.feed.d;
import com.kwad.components.core.e.d.a;
import com.kwad.components.core.internal.api.KSAdVideoPlayConfigImpl;
import com.kwad.components.core.j.a;
import com.kwad.components.core.liveEnd.AdLiveEndCommonResultData;
import com.kwad.components.core.page.AdWebViewActivityProxy;
import com.kwad.components.core.video.a;
import com.kwad.components.core.webview.jshandler.WebCardRegisterLiveMessageListener;
import com.kwad.components.core.webview.jshandler.WebCardRegisterLiveShopListener;
import com.kwad.components.core.webview.jshandler.WebCardVideoPositionHandler;
import com.kwad.components.core.webview.jshandler.aa;
import com.kwad.components.core.webview.jshandler.ab;
import com.kwad.components.core.webview.jshandler.af;
import com.kwad.components.core.webview.jshandler.ah;
import com.kwad.components.core.webview.jshandler.ai;
import com.kwad.components.core.webview.jshandler.am;
import com.kwad.components.core.webview.jshandler.an;
import com.kwad.components.core.webview.jshandler.ao;
import com.kwad.components.core.webview.jshandler.ap;
import com.kwad.components.core.webview.jshandler.aq;
import com.kwad.components.core.webview.jshandler.o;
import com.kwad.components.core.webview.jshandler.r;
import com.kwad.components.core.webview.jshandler.s;
import com.kwad.components.core.webview.jshandler.t;
import com.kwad.components.core.webview.jshandler.u;
import com.kwad.components.core.webview.jshandler.x;
import com.kwad.components.core.widget.b;
import com.kwad.components.model.FeedType;
import com.kwad.components.offline.api.core.adlive.IAdLiveEndRequest;
import com.kwad.components.offline.api.core.adlive.IAdLiveOfflineView;
import com.kwad.components.offline.api.core.adlive.IAdLivePlayModule;
import com.kwad.components.offline.api.core.adlive.listener.AdLiveMessageListener;
import com.kwad.components.offline.api.core.adlive.listener.AdLivePlayStateListener;
import com.kwad.components.offline.api.core.adlive.listener.AdLivePlayStateListenerAdapter;
import com.kwad.components.offline.api.core.adlive.listener.AdLiveShopListener;
import com.kwad.components.offline.api.core.adlive.model.AdLiveMessageInfo;
import com.kwad.components.offline.api.core.adlive.model.AdLiveShopInfo;
import com.kwad.components.offline.api.core.api.OfflineOnAudioConflictListener;
import com.kwad.sdk.KsAdSDKImpl;
import com.kwad.sdk.R;
import com.kwad.sdk.api.KsAdVideoPlayConfig;
import com.kwad.sdk.contentalliance.a.a.b;
import com.kwad.sdk.core.imageloader.KSImageLoader;
import com.kwad.sdk.core.imageloader.core.DisplayImageOptionsCompat;
import com.kwad.sdk.core.imageloader.core.decode.DecodedResult;
import com.kwad.sdk.core.imageloader.core.listener.SimpleImageLoadingListener;
import com.kwad.sdk.core.imageloader.utils.BlurUtils;
import com.kwad.sdk.core.network.p;
import com.kwad.sdk.core.report.z;
import com.kwad.sdk.core.response.model.AdTemplate;
import com.kwad.sdk.core.response.model.FeedSlideConf;
import com.kwad.sdk.core.video.videoview.AdVideoPlayerViewCache;
import com.kwad.sdk.core.webview.KsAdWebView;
import com.kwad.sdk.service.ServiceProvider;
import com.kwad.sdk.utils.ac;
import com.kwad.sdk.utils.bj;
import com.kwad.sdk.utils.bm;
import com.kwad.sdk.widget.KSRelativeLayout;
import com.kwad.sdk.widget.RatioFrameLayout;
import java.io.File;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import org.json.JSONObject;
/* compiled from: AAA */
/* loaded from: classes2.dex */
public final class m extends com.kwad.components.core.widget.b<AdTemplate> implements View.OnClickListener, com.kwad.sdk.widget.c {
    public static final HashMap<Long, Double> fq = new HashMap<>(8);
    public com.kwad.components.core.webview.a cD;
    public com.kwad.sdk.core.webview.b cE;
    public int cF;
    public ah.b cK;
    public List<Integer> cr;
    public KsAdVideoPlayConfig dJ;
    public d.b dS;
    public boolean eA;
    public final a.InterfaceC0124a eC;
    public IAdLiveOfflineView eD;
    public com.kwad.components.core.offline.api.a.a eE;
    public IAdLivePlayModule eF;
    public boolean eG;
    public View eH;
    public a.b eI;
    public final AdLivePlayStateListener eJ;
    public OfflineOnAudioConflictListener eK;
    public long eh;
    public KSRelativeLayout ev;
    public ImageView ew;
    public com.kwad.sdk.core.video.videoview.a ex;
    public com.kwad.components.core.video.e ey;
    public d ez;
    public a fA;
    public ViewGroup.MarginLayoutParams fB;
    public e fC;
    public ai fD;
    public boolean fE;
    public boolean fF;
    public b.a fG;
    public IAdLiveEndRequest fH;
    public RatioFrameLayout fi;
    public double fj;
    public LinearLayout fk;
    public TextView fl;
    public aq fm;
    public am fn;
    public WebCardRegisterLiveMessageListener fo;
    public WebCardRegisterLiveShopListener fp;
    public boolean fr;
    public String fs;
    public an.b ft;
    public an.a fu;
    public boolean fv;
    public com.kwad.components.core.widget.b fw;
    public float fx;
    public float fy;
    public boolean fz;
    public KsAdWebView mAdWebView;
    @Nullable
    public com.kwad.components.core.e.d.c mApkDownloadHelper;
    public Handler mHandler;
    public boolean mIsAudioEnable;
    public final com.kwad.sdk.core.network.m<com.kwad.components.core.liveEnd.a, AdLiveEndCommonResultData> mNetworking;
    public int mWidth;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public interface a {
        void c(int i2, String str);
    }

    public m(@NonNull Context context) {
        super(context);
        this.cF = -1;
        this.mIsAudioEnable = false;
        this.fv = false;
        this.mHandler = new Handler(Looper.getMainLooper());
        this.fE = false;
        this.fF = false;
        this.eK = new OfflineOnAudioConflictListener() { // from class: com.kwad.components.ad.feed.b.m.1
            @Override // com.kwad.components.offline.api.core.api.OfflineOnAudioConflictListener
            public final void onAudioBeOccupied() {
                m.this.eA = false;
                if (m.this.ex != null) {
                    m.this.ex.setVideoSoundEnable(false);
                }
                if (m.this.eF != null) {
                    m.this.eF.setAudioEnabled(false, false);
                }
            }

            @Override // com.kwad.components.offline.api.core.api.OfflineOnAudioConflictListener
            public final void onAudioBeReleased() {
            }
        };
        this.fG = new b.a() { // from class: com.kwad.components.ad.feed.b.m.20
            @Override // com.kwad.components.core.widget.b.a
            public final void onAdClicked() {
                if (m.this.XT != null) {
                    m.this.XT.onAdClicked();
                }
            }

            @Override // com.kwad.components.core.widget.b.a
            public final void onAdShow() {
                if (m.this.XT != null) {
                    m.this.XT.onAdShow();
                }
                if (m.this.fv) {
                    com.kwad.sdk.core.report.j jVar = new com.kwad.sdk.core.report.j();
                    z.a aVar = new z.a();
                    FeedType fromInt = FeedType.fromInt(m.this.mAdTemplate.type);
                    if (fromInt == FeedType.FEED_TYPE_TEXT_NEW) {
                        fromInt = FeedType.FEED_TYPE_TEXT_BELOW;
                    }
                    aVar.templateId = String.valueOf(fromInt.getType());
                    jVar.a(aVar);
                    jVar.t((int) Math.ceil(m.this.fj), m.this.mWidth);
                    com.kwad.components.core.t.b.qj().a(m.this.mAdTemplate, null, jVar);
                    com.kwad.components.ad.feed.monitor.b.a(m.this.mAdTemplate, 1);
                }
            }

            @Override // com.kwad.components.core.widget.b.a
            public final void onDislikeClicked() {
                if (m.this.XT != null) {
                    m.this.XT.onDislikeClicked();
                }
            }

            @Override // com.kwad.components.core.widget.b.a
            public final void onDownloadTipsDialogDismiss() {
                if (m.this.XT != null) {
                    m.this.XT.onDownloadTipsDialogDismiss();
                }
            }

            @Override // com.kwad.components.core.widget.b.a
            public final void onDownloadTipsDialogShow() {
                if (m.this.XT != null) {
                    m.this.XT.onDownloadTipsDialogShow();
                }
            }
        };
        this.mNetworking = new com.kwad.sdk.core.network.m<com.kwad.components.core.liveEnd.a, AdLiveEndCommonResultData>() { // from class: com.kwad.components.ad.feed.b.m.3
            /* JADX INFO: Access modifiers changed from: private */
            @Override // com.kwad.sdk.core.network.a
            @NonNull
            /* renamed from: by */
            public com.kwad.components.core.liveEnd.a createRequest() {
                return new com.kwad.components.core.liveEnd.a(m.this.fH);
            }

            @NonNull
            public static AdLiveEndCommonResultData p(String str) {
                AdLiveEndCommonResultData adLiveEndCommonResultData = new AdLiveEndCommonResultData();
                adLiveEndCommonResultData.parseJson(new JSONObject(str));
                return adLiveEndCommonResultData;
            }

            @Override // com.kwad.sdk.core.network.m
            public final boolean isPostByJson() {
                return false;
            }

            @Override // com.kwad.sdk.core.network.m
            @NonNull
            public final /* synthetic */ AdLiveEndCommonResultData parseData(String str) {
                return p(str);
            }
        };
        this.eJ = new AdLivePlayStateListenerAdapter() { // from class: com.kwad.components.ad.feed.b.m.4
            @Override // com.kwad.components.offline.api.core.adlive.listener.AdLivePlayStateListenerAdapter, com.kwad.components.offline.api.core.adlive.listener.AdLivePlayStateListener
            public final void onLivePlayEnd() {
                super.onLivePlayEnd();
                String aY = com.kwad.sdk.core.response.b.a.aY(m.this.mAdInfo);
                if (TextUtils.isEmpty(aY)) {
                    return;
                }
                com.kwad.components.core.offline.api.a.a aVar = (com.kwad.components.core.offline.api.a.a) com.kwad.sdk.components.c.f(com.kwad.components.core.offline.api.a.a.class);
                if (aVar != null) {
                    m.this.fH = aVar.getAdLiveEndRequest(aY);
                }
                m.this.mNetworking.request(new p<com.kwad.components.core.liveEnd.a, AdLiveEndCommonResultData>() { // from class: com.kwad.components.ad.feed.b.m.4.1
                    /* JADX INFO: Access modifiers changed from: private */
                    @Override // com.kwad.sdk.core.network.p, com.kwad.sdk.core.network.h
                    /* renamed from: a */
                    public void onStartRequest(@NonNull com.kwad.components.core.liveEnd.a aVar2) {
                        super.onStartRequest(aVar2);
                    }

                    /* JADX INFO: Access modifiers changed from: private */
                    @Override // com.kwad.sdk.core.network.p, com.kwad.sdk.core.network.h
                    /* renamed from: a */
                    public void onError(@NonNull com.kwad.components.core.liveEnd.a aVar2, int i2, String str) {
                        super.onError(aVar2, i2, str);
                    }

                    /* JADX INFO: Access modifiers changed from: private */
                    @Override // com.kwad.sdk.core.network.p, com.kwad.sdk.core.network.h
                    /* renamed from: a */
                    public void onSuccess(@NonNull com.kwad.components.core.liveEnd.a aVar2, @NonNull AdLiveEndCommonResultData adLiveEndCommonResultData) {
                        super.onSuccess(aVar2, adLiveEndCommonResultData);
                        an.a aVar3 = new an.a();
                        aVar3.status = 9;
                        aVar3.totalWatchingDuration = adLiveEndCommonResultData.totalWatchingDuration;
                        aVar3.watchingUserCount = adLiveEndCommonResultData.watchingUserCount;
                        aVar3.displayWatchingUserCount = adLiveEndCommonResultData.displayWatchingUserCount;
                        aVar3.likeUserCount = adLiveEndCommonResultData.likeUserCount;
                        aVar3.displayLikeUserCount = adLiveEndCommonResultData.displayLikeUserCount;
                        aVar3.liveDuration = adLiveEndCommonResultData.liveDuration;
                        if (m.this.ft != null) {
                            m.this.ft.a(aVar3);
                        } else {
                            m.this.fu = aVar3;
                        }
                    }
                });
            }

            @Override // com.kwad.components.offline.api.core.adlive.listener.AdLivePlayStateListenerAdapter, com.kwad.components.offline.api.core.adlive.listener.AdLivePlayStateListener
            public final void onLivePlayProgress(long j2) {
                super.onLivePlayProgress(j2);
                m.this.c(j2);
            }

            @Override // com.kwad.components.offline.api.core.adlive.listener.AdLivePlayStateListenerAdapter, com.kwad.components.offline.api.core.adlive.listener.AdLivePlayStateListener
            public final void onLivePlayResume() {
                com.kwad.components.core.j.a.oa().a(m.this.getCurrentVoiceItem());
                super.onLivePlayResume();
                IAdLivePlayModule iAdLivePlayModule = m.this.eF;
                m mVar = m.this;
                iAdLivePlayModule.setAudioEnabled(mVar.g(mVar.mIsAudioEnable), false);
            }

            @Override // com.kwad.components.offline.api.core.adlive.listener.AdLivePlayStateListenerAdapter, com.kwad.components.offline.api.core.adlive.listener.AdLivePlayStateListener
            public final void onLivePlayStart() {
                com.kwad.components.core.j.a.oa().a(m.this.getCurrentVoiceItem());
                super.onLivePlayStart();
                IAdLivePlayModule iAdLivePlayModule = m.this.eF;
                m mVar = m.this;
                iAdLivePlayModule.setAudioEnabled(mVar.g(mVar.mIsAudioEnable), false);
            }

            @Override // com.kwad.components.offline.api.core.adlive.listener.AdLivePlayStateListenerAdapter, com.kwad.components.offline.api.core.adlive.listener.AdLivePlayStateListener
            public final void onLivePrepared() {
                super.onLivePrepared();
                m.this.eF.setAudioEnabled(false, false);
            }
        };
        this.cK = new ah.b() { // from class: com.kwad.components.ad.feed.b.m.8
            @Override // com.kwad.components.core.webview.jshandler.ah.b
            public final void a(ah.a aVar) {
                if (m.this.fr) {
                    return;
                }
                m.this.cF = aVar.status;
                if (m.this.cF != 1) {
                    m.this.f("3", 3);
                    return;
                }
                m.this.mHandler.removeCallbacksAndMessages(null);
                if (m.this.fw != null) {
                    m.this.fw.setVisibility(8);
                }
                m.this.mAdWebView.setVisibility(0);
                com.kwad.components.core.o.a.pA().U(m.this.mAdTemplate);
                if (m.this.fA != null) {
                    m.this.fA.c(2, "");
                }
            }
        };
        this.eC = new a.InterfaceC0124a() { // from class: com.kwad.components.ad.feed.b.m.18
            @Override // com.kwad.components.core.video.a.InterfaceC0124a
            public final void a(int i2, ac.a aVar) {
                int i3;
                int i4 = 2;
                boolean z = false;
                if (i2 == 1) {
                    i3 = 13;
                } else if (i2 == 2) {
                    i3 = 82;
                } else if (i2 != 3) {
                    i3 = 108;
                } else {
                    i3 = 83;
                    i4 = 1;
                    z = true;
                }
                z.b bVar = new z.b();
                bVar.jI = aVar;
                bVar.jG = i3;
                m.this.bu();
                com.kwad.components.core.e.d.a.a(new a.C0109a(m.this.getContext()).P(m.this.mAdTemplate).b(m.this.mApkDownloadHelper).ao(i4).am(z).ao(true).a(bVar).aq(true).a(new a.b() { // from class: com.kwad.components.ad.feed.b.m.18.1
                    @Override // com.kwad.components.core.e.d.a.b
                    public final void onAdClicked() {
                        m.this.eb();
                    }
                }));
            }
        };
    }

    private void a(MotionEvent motionEvent) {
        if (motionEvent.getActionMasked() != 0) {
            return;
        }
        this.fx = motionEvent.getX();
        this.fy = motionEvent.getY();
    }

    private void a(com.kwad.components.core.webview.a aVar) {
        this.fm = new aq();
        am amVar = new am();
        this.fn = amVar;
        aVar.a(amVar);
        aVar.a(new r(this.cE, this.mApkDownloadHelper, getClickListener()));
        aVar.a(new o(this.cE, this.mApkDownloadHelper, getClickListener()));
        aVar.a(new aa(this.cE, new aa.b() { // from class: com.kwad.components.ad.feed.b.m.21
            @Override // com.kwad.components.core.webview.jshandler.aa.b
            public final void a(aa.a aVar2) {
                double d2;
                if (m.this.fv) {
                    return;
                }
                m.this.mAdWebView.setVisibility(0);
                if (m.this.fj == 0.0d) {
                    m.this.fj = aVar2.height;
                    m.this.fi.setRatio((float) d2);
                    m.fq.put(Long.valueOf(m.this.mAdTemplate.posId), Double.valueOf(aVar2.height / m.this.mWidth));
                }
            }
        }));
        aVar.a(new com.kwad.components.core.webview.b.a.f());
        aVar.a(new u(this.cE));
        aVar.a(new WebCardVideoPositionHandler(new WebCardVideoPositionHandler.a() { // from class: com.kwad.components.ad.feed.b.m.22
            @Override // com.kwad.components.core.webview.jshandler.WebCardVideoPositionHandler.a
            public final void a(WebCardVideoPositionHandler.VideoPosition videoPosition) {
                m mVar;
                boolean bH;
                if (m.this.mAdInfo != null) {
                    if (com.kwad.sdk.core.response.b.a.aU(m.this.mAdInfo) || m.this.eG) {
                        m mVar2 = m.this;
                        mVar2.fB = (ViewGroup.MarginLayoutParams) mVar2.ev.getLayoutParams();
                        int ceil = (int) Math.ceil(m.this.fj);
                        int i2 = m.this.mWidth;
                        if (videoPosition.widthRation == 0.0d) {
                            videoPosition.widthRation = 0.9200000166893005d;
                            videoPosition.leftMarginRation = 0.03999999910593033d;
                        }
                        ViewGroup.MarginLayoutParams marginLayoutParams = m.this.fB;
                        double d2 = videoPosition.topMarginRation;
                        double d3 = ceil;
                        Double.isNaN(d3);
                        marginLayoutParams.topMargin = (int) (d2 * d3);
                        ViewGroup.MarginLayoutParams marginLayoutParams2 = m.this.fB;
                        double d4 = videoPosition.leftMarginRation;
                        double d5 = i2;
                        Double.isNaN(d5);
                        marginLayoutParams2.leftMargin = (int) (d4 * d5);
                        ViewGroup.MarginLayoutParams marginLayoutParams3 = m.this.fB;
                        double d6 = videoPosition.widthRation;
                        Double.isNaN(d5);
                        marginLayoutParams3.width = (int) (d5 * d6);
                        ViewGroup.MarginLayoutParams marginLayoutParams4 = m.this.fB;
                        double d7 = m.this.fB.width;
                        double d8 = videoPosition.heightWidthRation;
                        Double.isNaN(d7);
                        marginLayoutParams4.height = (int) (d7 * d8);
                        m.this.ev.setRadius(videoPosition.borderRadius);
                        m.this.ev.setLayoutParams(m.this.fB);
                        if (!(m.this.dJ instanceof KSAdVideoPlayConfigImpl) || ((KSAdVideoPlayConfigImpl) m.this.dJ).getVideoSoundValue() == 0) {
                            mVar = m.this;
                            bH = com.kwad.sdk.core.response.b.a.bH(mVar.mAdInfo);
                        } else {
                            mVar = m.this;
                            bH = mVar.dJ.isVideoSoundEnable();
                        }
                        mVar.mIsAudioEnable = bH;
                        m.this.mAdTemplate.mIsAudioEnable = m.this.mIsAudioEnable;
                        m mVar3 = m.this;
                        mVar3.cr = com.kwad.sdk.core.response.b.a.bd(mVar3.mAdInfo);
                        if (!m.this.eG) {
                            m mVar4 = m.this;
                            mVar4.a(mVar4.dJ);
                        } else if (m.this.eF != null) {
                            IAdLivePlayModule iAdLivePlayModule = m.this.eF;
                            m mVar5 = m.this;
                            iAdLivePlayModule.setAudioEnabled(mVar5.g(mVar5.mIsAudioEnable), false);
                        }
                    }
                }
            }
        }));
        aVar.a(new s(this.cE, new s.a() { // from class: com.kwad.components.ad.feed.b.m.23
            @Override // com.kwad.components.core.webview.jshandler.s.a
            public final void bz() {
                m.this.mHandler.post(new Runnable() { // from class: com.kwad.components.ad.feed.b.m.23.1
                    @Override // java.lang.Runnable
                    public final void run() {
                        m.this.sm();
                    }
                });
            }
        }));
        aVar.a(new x(this.cE));
        t tVar = new t(this.cE);
        tVar.a(new t.b() { // from class: com.kwad.components.ad.feed.b.m.24
            @Override // com.kwad.components.core.webview.jshandler.t.b
            public final void a(t.a aVar2) {
                aVar2.height = 0;
                aVar2.width = m.this.mWidth;
            }
        });
        aVar.a(tVar);
        aVar.a(new ah(this.cK, com.kwad.sdk.core.response.b.b.bq(this.mAdTemplate)));
        aVar.a(new ap(this.cE, this.mApkDownloadHelper));
        aVar.a(new ab(this.cE));
        aVar.a(this.fm);
        aVar.a(new af(getOpenNewPageListener()));
        aVar.a(new ao(new ao.a() { // from class: com.kwad.components.ad.feed.b.m.25
            @Override // com.kwad.components.core.webview.jshandler.ao.a
            public final void bA() {
                m.this.fE = true;
                m.this.bs();
            }
        }));
        ai aiVar = new ai();
        this.fD = aiVar;
        aVar.a(aiVar);
        if (this.eG) {
            aVar.a(new com.kwad.components.core.webview.jshandler.c(1, 1));
            this.fp = new WebCardRegisterLiveShopListener();
            this.fo = new WebCardRegisterLiveMessageListener();
            aVar.a(this.fp);
            aVar.a(this.fo);
            aVar.a(new an(getRegisterLiveListener()));
        }
    }

    private void a(com.kwad.sdk.core.video.videoview.a aVar, final int i2) {
        if (aVar != null) {
            String F = com.kwad.sdk.core.response.b.a.F(this.mAdInfo);
            this.ey.setAutoRelease(false);
            AdVideoPlayerViewCache.getInstance().a(F, this.ex);
            FeedType.fromInt(this.mAdTemplate.type);
            bu();
            com.kwad.components.core.e.d.a.a(new a.C0109a(getContext()).P(this.mAdTemplate).b(this.mApkDownloadHelper).ao(2).aq(com.kwad.sdk.core.response.b.a.aU(this.mAdInfo)).a(new a.b() { // from class: com.kwad.components.ad.feed.b.m.17
                @Override // com.kwad.components.core.e.d.a.b
                public final void onAdClicked() {
                    m.this.aK(i2);
                }
            }));
        }
    }

    private void av() {
        com.kwad.sdk.core.webview.b bVar = new com.kwad.sdk.core.webview.b();
        this.cE = bVar;
        bVar.setAdTemplate(this.mAdTemplate);
        com.kwad.sdk.core.webview.b bVar2 = this.cE;
        bVar2.mScreenOrientation = 0;
        bVar2.aye = null;
        bVar2.MT = this.fi;
        bVar2.Ms = this.mAdWebView;
        bVar2.mReportExtData = null;
        bVar2.ayg = false;
    }

    @SuppressLint({"SetJavaScriptEnabled", "AddJavascriptInterface", "JavascriptInterface"})
    private void aw() {
        ay();
        this.mAdWebView.setClientConfig(this.mAdWebView.getClientConfig().cy(this.mAdTemplate).b(getWebListener()));
        this.mAdWebView.setVisibility(4);
        this.mAdWebView.setBackgroundColor(0);
        com.kwad.components.core.webview.a aVar = new com.kwad.components.core.webview.a(this.mAdWebView);
        this.cD = aVar;
        a(aVar);
        this.mAdWebView.addJavascriptInterface(this.cD, "KwaiAd");
        this.mAdWebView.loadUrl(com.kwad.sdk.core.response.b.b.bq(this.mAdTemplate));
        com.kwad.components.ad.feed.monitor.b.o(com.kwad.sdk.core.response.b.b.bq(this.mAdTemplate));
        br();
    }

    private void ay() {
        com.kwad.components.core.webview.a aVar = this.cD;
        if (aVar != null) {
            aVar.destroy();
            this.cD = null;
        }
    }

    public static boolean b(com.kwad.sdk.core.webview.d.b.a aVar) {
        return aVar.JC ? aVar.UX : aVar.UZ == 1;
    }

    private boolean bf() {
        IAdLiveOfflineView iAdLiveOfflineView = this.eD;
        if (iAdLiveOfflineView == null || iAdLiveOfflineView.getView() == null || this.eF == null) {
            return false;
        }
        ViewGroup viewGroup = (ViewGroup) this.eD.getView().getParent();
        if (viewGroup != this.ev) {
            viewGroup.removeView(this.eD.getView());
            if (this.ev.getTag() != null) {
                KSRelativeLayout kSRelativeLayout = this.ev;
                kSRelativeLayout.removeView((View) kSRelativeLayout.getTag());
                this.ev.setTag(null);
            }
            this.ev.addView(this.eD.getView());
            this.ev.setTag(this.eD.getView());
            this.eF.setAudioEnabled(g(this.mIsAudioEnable), false);
            IAdLivePlayModule adLivePlayModule = this.eE.getAdLivePlayModule(this.eD, KsAdSDKImpl.get().getAppId(), String.valueOf(com.kwad.sdk.core.response.b.a.bR(this.mAdInfo)));
            this.eF = adLivePlayModule;
            adLivePlayModule.registerAdLivePlayStateListener(this.eJ);
        }
        this.eF.onResume();
        return true;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public IAdLivePlayModule bg() {
        bh();
        IAdLiveOfflineView view = this.eE.getView(this.mContext, 3);
        this.eD = view;
        IAdLivePlayModule adLivePlayModule = this.eE.getAdLivePlayModule(view, ServiceProvider.HE().appId, String.valueOf(com.kwad.sdk.core.response.b.a.bR(this.mAdInfo)));
        adLivePlayModule.setAudioEnabled(g(this.mIsAudioEnable), false);
        adLivePlayModule.registerAdLivePlayStateListener(this.eJ);
        final View view2 = this.eD.getView();
        if (this.ev.getTag() != null) {
            KSRelativeLayout kSRelativeLayout = this.ev;
            kSRelativeLayout.removeView((View) kSRelativeLayout.getTag());
            this.ev.setTag(null);
        }
        this.ev.addView(view2);
        this.ev.setTag(view2);
        bj.postOnUiThread(new Runnable() { // from class: com.kwad.components.ad.feed.b.m.10
            @Override // java.lang.Runnable
            public final void run() {
                m.this.c(view2);
            }
        });
        bw();
        if (this.mIsAudioEnable) {
            com.kwad.components.core.t.a.al(this.mContext).a(this.eK);
        }
        return adLivePlayModule;
    }

    private void bh() {
        String url = com.kwad.sdk.core.response.b.a.bi(this.mAdInfo).getUrl();
        this.ew.setVisibility(0);
        this.eH.setVisibility(0);
        if (TextUtils.isEmpty(url)) {
            this.ew.setImageResource(R.drawable.ksad_ad_live_end);
            return;
        }
        this.ew.setImageDrawable(null);
        KSImageLoader.loadImage(this.ew, url, this.mAdTemplate, new DisplayImageOptionsCompat.Builder().setBlurRadius(50).build(), new SimpleImageLoadingListener() { // from class: com.kwad.components.ad.feed.b.m.14
            @Override // com.kwad.sdk.core.imageloader.core.listener.SimpleImageLoadingListener, com.kwad.sdk.core.imageloader.core.listener.ImageLoadingListener
            public final boolean onDecode(String str, InputStream inputStream, DecodedResult decodedResult) {
                decodedResult.mBitmap = BlurUtils.stackBlur(BitmapFactory.decodeStream(inputStream), 50, false);
                return true;
            }
        });
    }

    private void br() {
        this.mHandler.postDelayed(new Runnable() { // from class: com.kwad.components.ad.feed.b.m.12
            @Override // java.lang.Runnable
            public final void run() {
                m.this.mAdWebView.stopLoading();
                m.this.mAdWebView.setVisibility(8);
                m.this.f("0", 1);
            }
        }, TooltipCompatHandler.LONG_CLICK_HIDE_TIMEOUT_MS);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void bs() {
        d.b bVar = new d.b() { // from class: com.kwad.components.ad.feed.b.m.5
            @Override // com.kwad.components.ad.feed.d.b
            public final boolean b(final double d2) {
                if (bm.o(m.this.fi, (int) (com.kwad.sdk.core.config.d.zH() * 100.0f))) {
                    com.kwad.components.core.e.d.a.a(new a.C0109a(m.this.getContext()).P(m.this.mAdTemplate).b(m.this.mApkDownloadHelper).ao(2).am(false).ao(false).an(157).am(5).aq(true).a(new a.b() { // from class: com.kwad.components.ad.feed.b.m.5.1
                        @Override // com.kwad.components.core.e.d.a.b
                        public final void onAdClicked() {
                            com.kwad.sdk.core.e.c.d("FeedWebView", "convertEnable End" + com.kwad.sdk.core.response.b.d.cq(m.this.mAdTemplate));
                            com.kwad.sdk.core.report.j jVar = new com.kwad.sdk.core.report.j();
                            jVar.i(d2);
                            jVar.cg(157);
                            m.this.c(jVar);
                        }
                    }));
                    return true;
                }
                return false;
            }
        };
        this.dS = bVar;
        com.kwad.components.ad.feed.d.a(com.kwad.sdk.core.response.b.b.bu(this.mAdTemplate), this.mContext, bVar);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void bu() {
        if (this.fz) {
            return;
        }
        this.fz = true;
        com.kwad.components.ad.feed.monitor.b.a(this.mAdTemplate, 2, getStayTime());
    }

    private boolean bv() {
        return this.cF == 1;
    }

    private void bw() {
        this.eD.registerLiveMessageListener(new AdLiveMessageListener() { // from class: com.kwad.components.ad.feed.b.m.11
            @Override // com.kwad.components.offline.api.core.adlive.listener.AdLiveMessageListener
            public final void handleAdLiveMessage(List<AdLiveMessageInfo> list) {
                if (m.this.fo != null) {
                    m.this.fo.k(list);
                }
            }
        });
        this.eD.registerLiveShopListener(new AdLiveShopListener() { // from class: com.kwad.components.ad.feed.b.m.13
            @Override // com.kwad.components.offline.api.core.adlive.listener.AdLiveShopListener
            public final void handleAdLiveShop(AdLiveShopInfo adLiveShopInfo) {
                if (m.this.fp != null) {
                    m.this.fp.a(adLiveShopInfo);
                }
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void c(long j2) {
        int ceil = (int) Math.ceil(((float) j2) / 1000.0f);
        List<Integer> list = this.cr;
        if (list == null || list.isEmpty()) {
            return;
        }
        Iterator<Integer> it = this.cr.iterator();
        while (it.hasNext()) {
            if (ceil >= it.next().intValue()) {
                com.kwad.sdk.core.report.a.a((AdTemplate) this.mAdTemplate, ceil, (JSONObject) null);
                it.remove();
                return;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void c(View view) {
        int width = this.ev.getWidth();
        int height = this.ev.getHeight();
        if (width == 0 || height == 0) {
            return;
        }
        RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams((int) (height * 0.5625f), height);
        layoutParams.addRule(13, -1);
        view.setLayoutParams(layoutParams);
    }

    private void e(AdTemplate adTemplate) {
        if (this.fF) {
            return;
        }
        this.mAdWebView = (KsAdWebView) findViewById(com.kwad.sdk.core.response.b.a.cw(com.kwad.sdk.core.response.b.d.cg(adTemplate)) ? R.id.ksad_web_bottom_card_webView : R.id.ksad_web_default_bottom_card_webView);
        this.fF = true;
    }

    public static float f(AdTemplate adTemplate) {
        int i2 = adTemplate.type;
        if (i2 == 1) {
            return 0.6013f;
        }
        return (i2 == 2 || i2 == 3) ? 0.283f : 0.968f;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void f(String str, int i2) {
        com.kwad.sdk.core.e.c.d("FeedWebView", "handleWebViewError " + str);
        this.mHandler.removeCallbacksAndMessages(null);
        if (this.fr) {
            return;
        }
        this.fr = true;
        if (this.mAdWebView != null) {
            com.kwad.components.ad.feed.monitor.b.a(com.kwad.sdk.core.response.b.b.bq(this.mAdTemplate), System.currentTimeMillis() - this.mAdWebView.getLoadTime(), i2);
        }
        com.kwad.components.core.o.a pA = com.kwad.components.core.o.a.pA();
        AdTemplate adTemplate = this.mAdTemplate;
        pA.b(adTemplate, com.kwad.sdk.core.response.b.b.bq(adTemplate), str);
        a aVar = this.fA;
        if (aVar != null) {
            aVar.c(1, str);
        }
        this.fA = null;
        if (this.fw == null) {
            this.fv = true;
            com.kwad.components.core.widget.b.c(this);
            int aW = com.kwad.sdk.core.response.b.a.aW(this.mAdInfo);
            IAdLivePlayModule iAdLivePlayModule = this.eF;
            if (iAdLivePlayModule != null) {
                iAdLivePlayModule.setAudioEnabled(false, false);
                this.eF.onDestroy();
                this.eF = null;
            }
            IAdLiveOfflineView iAdLiveOfflineView = this.eD;
            if (iAdLiveOfflineView != null) {
                iAdLiveOfflineView.onDestroy();
                this.eD = null;
            }
            com.kwad.components.core.widget.b a2 = com.kwad.components.ad.feed.b.a(this.mContext, FeedType.fromInt(this.mAdTemplate.type), aW);
            this.fw = a2;
            if (a2 != null) {
                this.fw.setMargin(com.kwad.sdk.d.a.a.a(this.mContext, 16.0f));
                this.fi.removeAllViews();
                this.fi.setRatio(0.0d);
                KsAdWebView ksAdWebView = this.mAdWebView;
                if (ksAdWebView != null) {
                    ksAdWebView.setVisibility(8);
                }
                this.ev.setVisibility(8);
                this.fw.setInnerAdInteractionListener(this.fG);
                this.fi.addView(this.fw);
                this.fw.b((com.kwad.components.core.widget.b) this.mAdTemplate);
                com.kwad.components.core.widget.b bVar = this.fw;
                if (bVar instanceof c) {
                    ((c) bVar).a(this.dJ);
                }
            }
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    private void g(AdTemplate adTemplate) {
        Double d2;
        RatioFrameLayout ratioFrameLayout;
        double f2;
        com.kwad.components.core.e.d.c cVar = new com.kwad.components.core.e.d.c(this.mAdTemplate);
        this.mApkDownloadHelper = cVar;
        cVar.setOnShowListener(this);
        this.mApkDownloadHelper.setOnDismissListener(this);
        this.mAdTemplate = adTemplate;
        this.mAdInfo = com.kwad.sdk.core.response.b.d.cg(adTemplate);
        if (fq.get(Long.valueOf(this.mAdTemplate.posId)) != null) {
            this.fi.setRatio(d2.floatValue());
        } else {
            if (com.kwad.sdk.core.response.b.b.bv(this.mAdTemplate) > 0.0d) {
                ratioFrameLayout = this.fi;
                f2 = com.kwad.sdk.core.response.b.b.bv(this.mAdTemplate);
            } else if (this.fi.getRatio() == 0.0d) {
                ratioFrameLayout = this.fi;
                f2 = f(this.mAdTemplate);
            }
            ratioFrameLayout.setRatio(f2);
        }
        com.kwad.components.core.offline.api.a.a aVar = (com.kwad.components.core.offline.api.a.a) com.kwad.sdk.components.c.f(com.kwad.components.core.offline.api.a.a.class);
        this.eE = aVar;
        if (aVar != null && aVar.hasLiveCompoReady() && com.kwad.sdk.core.response.b.a.cw(this.mAdInfo)) {
            this.eG = true;
        }
        av();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public boolean g(boolean z) {
        if (z) {
            if (this.eI != null) {
                com.kwad.components.core.j.a.oa();
                if (!com.kwad.components.core.j.a.b(this.eI)) {
                    return false;
                }
            }
            if (!com.kwad.sdk.core.config.d.gF()) {
                return !com.kwad.components.core.t.a.al(this.mContext).qi() ? com.kwad.components.core.t.a.al(this.mContext).aJ(false) : !com.kwad.components.core.t.a.al(this.mContext).qh();
            }
            if (!this.eA) {
                this.eA = com.kwad.components.core.t.a.al(this.mContext).aJ(true);
            }
            return this.eA;
        }
        return false;
    }

    @NonNull
    private com.kwad.sdk.core.webview.d.a.a getClickListener() {
        return new com.kwad.sdk.core.webview.d.a.a() { // from class: com.kwad.components.ad.feed.b.m.7
            @Override // com.kwad.sdk.core.webview.d.a.a
            public final void a(com.kwad.sdk.core.webview.d.b.a aVar) {
                m.this.bu();
                int i2 = aVar.UZ;
                if (aVar.JC) {
                    i2 = aVar.UX ? 1 : 2;
                }
                boolean aU = com.kwad.sdk.core.response.b.a.aU(m.this.mAdInfo);
                z.b bVar = new z.b();
                com.kwad.sdk.core.webview.d.b.c cVar = aVar.Va;
                if (cVar != null && !TextUtils.isEmpty(cVar.UP)) {
                    bVar.UP = aVar.Va.UP;
                }
                a.C0109a b = new a.C0109a(m.this.getContext()).P(m.this.mAdTemplate).b(m.this.mApkDownloadHelper);
                m mVar = m.this;
                com.kwad.components.core.e.d.a.a(b.am(m.b(aVar)).ao(i2).an(aVar.jG).am(5).as(aVar.JC).aq(aU).s(m.this.eF == null ? 0L : m.this.eF.getPlayDuration()).a(bVar).ao(true).a(new a.b() { // from class: com.kwad.components.ad.feed.b.m.7.1
                    @Override // com.kwad.components.core.e.d.a.b
                    public final void onAdClicked() {
                        if (m.this.XT != null) {
                            m.this.XT.onAdClicked();
                        }
                    }
                }));
            }
        };
    }

    /* JADX INFO: Access modifiers changed from: private */
    public a.b getCurrentVoiceItem() {
        if (this.eI == null) {
            this.eI = new a.b(new a.c() { // from class: com.kwad.components.ad.feed.b.m.9
                @Override // com.kwad.components.core.j.a.c
                public final void bi() {
                    if (!m.this.eG) {
                        if (m.this.ex != null) {
                            com.kwad.sdk.core.video.videoview.a aVar = m.this.ex;
                            m mVar = m.this;
                            aVar.setVideoSoundEnable(mVar.g(mVar.mIsAudioEnable));
                            return;
                        }
                        return;
                    }
                    if (m.this.eF == null) {
                        m mVar2 = m.this;
                        mVar2.eF = mVar2.bg();
                    }
                    IAdLivePlayModule iAdLivePlayModule = m.this.eF;
                    m mVar3 = m.this;
                    iAdLivePlayModule.setAudioEnabled(mVar3.g(mVar3.mIsAudioEnable), false);
                }
            });
        }
        return this.eI;
    }

    private af.a getOpenNewPageListener() {
        return new af.a() { // from class: com.kwad.components.ad.feed.b.m.6
            @Override // com.kwad.components.core.webview.jshandler.af.a
            public final void a(com.kwad.components.core.webview.a.b bVar) {
                AdWebViewActivityProxy.launch(m.this.mContext, new AdWebViewActivityProxy.a.C0119a().aq(bVar.title).ar(bVar.url).ay(true).S(m.this.mAdTemplate).oA());
            }
        };
    }

    private an.c getRegisterLiveListener() {
        return new an.c() { // from class: com.kwad.components.ad.feed.b.m.2
            @Override // com.kwad.components.core.webview.jshandler.an.c
            public final void a(an.b bVar) {
                m.this.ft = bVar;
                if (m.this.fu != null) {
                    m.this.ft.a(m.this.fu);
                    m.this.fu = null;
                }
            }
        };
    }

    private a.b getVideoPlayCallback() {
        return new a.b() { // from class: com.kwad.components.ad.feed.b.m.15
            public boolean cs = false;

            @Override // com.kwad.components.core.video.a.c
            public final void bj() {
                if (!this.cs) {
                    this.cs = true;
                    com.kwad.components.core.o.a.pA().a(m.this.mAdTemplate, System.currentTimeMillis(), 1);
                }
                com.kwad.sdk.core.video.videoview.a aVar = m.this.ex;
                m mVar = m.this;
                aVar.setVideoSoundEnable(mVar.g(mVar.mIsAudioEnable));
            }

            @Override // com.kwad.components.core.video.a.c
            public final void bk() {
                com.kwad.sdk.core.report.a.aA(m.this.mAdTemplate);
                m.this.fm.aO(9);
                m.this.ev.setVisibility(8);
                if (com.kwad.components.ad.feed.a.b.aU() && m.this.ez == null && !m.this.fE) {
                    m.this.ez = new d(m.this.mContext);
                    FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(-1, -1);
                    m mVar = m.this;
                    mVar.addView(mVar.ez, layoutParams);
                    m.this.ez.bl();
                }
            }

            @Override // com.kwad.components.core.video.a.c
            public final void d(long j2) {
                m.this.c(j2);
            }

            @Override // com.kwad.components.core.video.a.b
            public final void onVideoPlayError(int i2, int i3) {
                AdTemplate adTemplate = m.this.mAdTemplate;
                String F = com.kwad.sdk.core.response.b.a.F(m.this.mAdInfo);
                com.kwad.components.ad.feed.monitor.b.a(adTemplate, 2, 1, F, i2 + " " + i3, SystemClock.elapsedRealtime() - m.this.eh);
            }

            @Override // com.kwad.components.core.video.a.c
            public final void onVideoPlayStart() {
                com.kwad.components.core.j.a.oa().a(m.this.getCurrentVoiceItem());
                com.kwad.components.ad.feed.monitor.b.a(m.this.mAdTemplate, 1, 1, com.kwad.sdk.core.response.b.a.F(m.this.mAdInfo), null, SystemClock.elapsedRealtime() - m.this.eh);
                com.kwad.sdk.core.report.a.j(m.this.mAdTemplate);
                m.this.fm.aO(3);
                if (m.this.ez != null && (m.this.ez.getParent() instanceof ViewGroup)) {
                    ((ViewGroup) m.this.ez.getParent()).removeView(m.this.ez);
                    m.this.ez.bm();
                    m.this.ez = null;
                }
                if (m.this.fC == null && com.kwad.sdk.core.response.b.b.bs(m.this.mAdTemplate) && m.this.fE) {
                    m.this.fC = new e(m.this.mContext);
                    m.this.ev.addView(m.this.fC, new FrameLayout.LayoutParams(-1, -1));
                    m.this.fC.setOnViewEventListener(new com.kwad.sdk.widget.c() { // from class: com.kwad.components.ad.feed.b.m.15.1
                        @Override // com.kwad.sdk.widget.c
                        public final void a(View view) {
                            if (com.kwad.sdk.core.response.b.b.bt(m.this.mAdTemplate)) {
                                return;
                            }
                            m.this.u(158);
                        }

                        @Override // com.kwad.sdk.widget.c
                        public final void b(View view) {
                            if (com.kwad.sdk.core.response.b.b.bt(m.this.mAdTemplate) || !com.kwad.sdk.core.response.b.c.bV(m.this.mAdTemplate)) {
                                return;
                            }
                            m.this.u(153);
                        }
                    });
                    m.this.fC.a(new AnimatorListenerAdapter() { // from class: com.kwad.components.ad.feed.b.m.15.2
                        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                        public final void onAnimationEnd(Animator animator) {
                            super.onAnimationEnd(animator);
                            m.this.fD.aN(1);
                            m.this.ev.removeView(m.this.fC);
                        }
                    });
                }
            }
        };
    }

    private KsAdWebView.d getWebListener() {
        return new KsAdWebView.d() { // from class: com.kwad.components.ad.feed.b.m.19
            @Override // com.kwad.sdk.core.webview.KsAdWebView.d
            public final void onPageFinished() {
                com.kwad.components.ad.feed.monitor.b.c(com.kwad.sdk.core.response.b.b.bq(m.this.mAdTemplate), System.currentTimeMillis() - m.this.mAdWebView.getLoadTime());
            }

            @Override // com.kwad.sdk.core.webview.KsAdWebView.d
            public final void onPageStart() {
            }

            @Override // com.kwad.sdk.core.webview.KsAdWebView.d
            public final void onReceivedHttpError(int i2, String str, String str2) {
                m.this.f("1", 2);
            }
        };
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void u(final int i2) {
        bu();
        com.kwad.components.core.e.d.a.a(new a.C0109a(getContext()).P(this.mAdTemplate).b(this.mApkDownloadHelper).ao(1).am(true).an(i2).am(5).ao(false).aq(true).a(new a.b() { // from class: com.kwad.components.ad.feed.b.m.16
            @Override // com.kwad.components.core.e.d.a.b
            public final void onAdClicked() {
                m.this.aK(i2);
            }
        }));
    }

    @Override // com.kwad.sdk.widget.c
    public final void a(View view) {
        if (view != this.ev) {
            if (view == this.fl) {
                a(this.ex, 25);
            }
        } else if (!this.ex.isIdle()) {
            a(this.ex, 100);
        } else {
            com.kwad.sdk.utils.l.cA(this.mAdTemplate);
            this.ex.setKsPlayLogParam(com.kwad.sdk.contentalliance.a.a.a.ap(this.mAdTemplate));
            this.ex.start();
        }
    }

    public final void a(@NonNull KsAdVideoPlayConfig ksAdVideoPlayConfig) {
        String url = com.kwad.sdk.core.response.b.a.bi(this.mAdInfo).getUrl();
        if (TextUtils.isEmpty(url)) {
            this.ew.setVisibility(8);
        } else {
            this.ew.setImageDrawable(null);
            KSImageLoader.loadImage(this.ew, url, this.mAdTemplate);
            this.ew.setVisibility(0);
        }
        com.kwad.sdk.core.video.videoview.a aVar = new com.kwad.sdk.core.video.videoview.a(this.mContext);
        this.ex = aVar;
        aVar.setTag(this.cr);
        int zz = com.kwad.sdk.core.config.d.zz();
        String F = com.kwad.sdk.core.response.b.a.F(this.mAdInfo);
        if (TextUtils.isEmpty(F)) {
            return;
        }
        if (zz < 0) {
            File bR = com.kwad.sdk.core.diskcache.b.a.Au().bR(F);
            F = (bR == null || !bR.exists()) ? null : bR.getAbsolutePath();
        } else if (zz != 0) {
            F = com.kwad.sdk.core.videocache.c.a.bj(this.mContext).dN(F);
        }
        if (TextUtils.isEmpty(F)) {
            return;
        }
        this.ex.a(new b.a(this.mAdTemplate).cn(F).co(com.kwad.sdk.core.response.b.f.b(com.kwad.sdk.core.response.b.d.ch(this.mAdTemplate))).a(this.mAdTemplate.mVideoPlayerStatus).b(new com.kwad.sdk.contentalliance.a.a.a(this.mAdTemplate, System.currentTimeMillis())).yS(), null);
        this.ex.setVideoSoundEnable(g(this.mIsAudioEnable));
        this.ey = new com.kwad.components.core.video.e(this.mContext, this.mAdTemplate, this.ex, ksAdVideoPlayConfig);
        this.eh = SystemClock.elapsedRealtime();
        this.ey.setVideoPlayCallback(getVideoPlayCallback());
        this.ey.setAdClickListener(this.eC);
        this.ex.setController(this.ey);
        if (this.ev.getTag() != null) {
            KSRelativeLayout kSRelativeLayout = this.ev;
            kSRelativeLayout.removeView((View) kSRelativeLayout.getTag());
            this.ev.setTag(null);
        }
        this.ev.addView(this.ex, 1);
        this.ev.setTag(this.ex);
        this.ev.setClickable(true);
        new com.kwad.sdk.widget.f(this.ev, this);
        if (this.mIsAudioEnable) {
            com.kwad.components.core.t.a.al(this.mContext).a(this.eK);
        }
        int i2 = this.mAdTemplate.type;
        if (i2 == 1 || i2 == 19) {
            this.fk.setVisibility(0);
            this.fl.setVisibility(0);
            this.fl.setText(com.kwad.components.ad.feed.f.c(this.mAdTemplate));
            new com.kwad.sdk.widget.f(this.fl, this);
        }
    }

    @Override // com.kwad.components.core.widget.b, com.kwad.sdk.core.h.c
    public final void aK() {
        super.aK();
        com.kwad.components.core.j.a.oa().a(getCurrentVoiceItem());
        if (this.eG) {
            IAdLivePlayModule iAdLivePlayModule = this.eF;
            if (iAdLivePlayModule == null) {
                this.eF = bg();
            } else {
                iAdLivePlayModule.onResume();
            }
        }
    }

    @Override // com.kwad.components.core.widget.b, com.kwad.sdk.core.h.c
    public final void aL() {
        super.aL();
        IAdLivePlayModule iAdLivePlayModule = this.eF;
        if (iAdLivePlayModule != null) {
            iAdLivePlayModule.onPause();
        }
        com.kwad.components.core.j.a.oa().c(this.eI);
    }

    @Override // com.kwad.components.core.widget.b, com.kwad.sdk.widget.KSFrameLayout
    public final void aa() {
        super.aa();
        if (this.dS != null) {
            com.kwad.components.ad.feed.d.a(com.kwad.sdk.core.response.b.b.bu(this.mAdTemplate), this.mContext, this.dS);
        }
    }

    @Override // com.kwad.components.core.widget.b, com.kwad.sdk.widget.KSFrameLayout
    public final void ab() {
        super.ab();
        this.mHandler.removeCallbacksAndMessages(null);
        com.kwad.sdk.utils.l.cz(this.mAdTemplate);
        d.b bVar = this.dS;
        if (bVar != null) {
            com.kwad.components.ad.feed.d.a(bVar);
        }
        IAdLivePlayModule iAdLivePlayModule = this.eF;
        if (iAdLivePlayModule != null) {
            iAdLivePlayModule.onDestroy();
            this.eF = null;
        }
        IAdLiveOfflineView iAdLiveOfflineView = this.eD;
        if (iAdLiveOfflineView != null) {
            iAdLiveOfflineView.onDestroy();
            this.eD = null;
        }
        com.kwad.components.core.j.a.oa().c(this.eI);
        this.ft = null;
        this.fu = null;
    }

    @Override // com.kwad.sdk.widget.c
    public final void b(View view) {
        if (com.kwad.sdk.core.response.b.c.bV(this.mAdTemplate)) {
            if (view == this.ev || view == this.fl) {
                a(this.ex, 153);
            }
        }
    }

    @Override // com.kwad.components.core.widget.b
    public final void b(@NonNull AdTemplate adTemplate) {
        e(adTemplate);
        adTemplate.realShowType = 2;
        super.b((m) adTemplate);
        if (this.fr) {
            com.kwad.components.core.widget.b bVar = this.fw;
            if (bVar != null) {
                bVar.b((com.kwad.components.core.widget.b) this.mAdTemplate);
                com.kwad.components.core.widget.b bVar2 = this.fw;
                if (bVar2 instanceof c) {
                    ((c) bVar2).a(this.dJ);
                }
            }
        } else if (!com.kwad.sdk.core.response.b.b.bw(this.mAdTemplate)) {
            f("0", 0);
        } else {
            if (!bv()) {
                g(this.mAdTemplate);
            }
            try {
                if (this.fs == null || !this.fs.equals(adTemplate.mOriginJString)) {
                    if (bv()) {
                        this.mAdWebView.reload();
                    } else {
                        aw();
                    }
                }
            } catch (Throwable unused) {
                f("0", 0);
            }
            this.fs = adTemplate.mOriginJString;
        }
    }

    @Override // com.kwad.components.core.widget.b
    public final void ba() {
        com.kwad.components.ad.feed.monitor.b.aX();
        this.fi = (RatioFrameLayout) findViewById(R.id.ksad_container);
        this.ev = (KSRelativeLayout) findViewById(R.id.ksad_video_container);
        this.fk = (LinearLayout) findViewById(R.id.ksad_video_immerse_text_container);
        this.fl = (TextView) findViewById(R.id.ksad_video_immerse_text);
        this.ew = (ImageView) findViewById(R.id.ksad_video_first_frame_container);
        this.eH = findViewById(R.id.ksad_live_end_bg_mantle);
    }

    @Override // com.kwad.components.core.widget.b
    public final void bt() {
        am amVar;
        b.a aVar;
        if (!this.mAdTemplate.mPvReported && (aVar = this.XT) != null) {
            aVar.onAdShow();
            com.kwad.components.ad.feed.monitor.b.a(this.mAdTemplate, 2);
        }
        if (this.fv || (amVar = this.fn) == null) {
            return;
        }
        amVar.rA();
    }

    @Override // com.kwad.components.core.widget.b
    public final int getLayoutId() {
        return R.layout.ksad_feed_webview;
    }

    @Override // android.view.View.OnClickListener
    public final void onClick(View view) {
    }

    /* JADX WARN: Code restructure failed: missing block: B:24:0x0080, code lost:
        if ((r0 * r5) < r7) goto L26;
     */
    @Override // android.view.ViewGroup
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        FeedSlideConf aQ;
        int action = motionEvent.getAction() & 255;
        if (com.kwad.sdk.core.config.d.zK() && com.kwad.sdk.core.response.b.c.bV(this.mAdTemplate)) {
            if (com.kwad.sdk.core.response.b.b.aQ(this.mAdTemplate) == null) {
                return super.onInterceptTouchEvent(motionEvent);
            }
            a(motionEvent);
            if ((action == 2 || action == 3) && this.mAdWebView != null && !this.fv && Math.abs(motionEvent.getX() - this.fx) > 0.0f) {
                this.mAdWebView.requestDisallowInterceptTouchEvent(true);
                float abs = Math.abs(motionEvent.getX() - this.fx);
                float abs2 = Math.abs(motionEvent.getY() - this.fy);
                double tan = Math.tan(aQ.maxRange);
                double d2 = abs;
                Double.isNaN(d2);
                double d3 = abs2;
                if (tan * d2 >= d3) {
                    double tan2 = Math.tan(aQ.minRange);
                    Double.isNaN(d2);
                }
                this.mAdWebView.requestDisallowInterceptTouchEvent(false);
            }
            return super.onInterceptTouchEvent(motionEvent);
        }
        return super.onInterceptTouchEvent(motionEvent);
    }

    @Override // android.view.View
    public final void onWindowFocusChanged(boolean z) {
        IAdLivePlayModule iAdLivePlayModule;
        ViewGroup viewGroup;
        super.onWindowFocusChanged(z);
        if (!z) {
            IAdLiveOfflineView iAdLiveOfflineView = this.eD;
            if (iAdLiveOfflineView == null || iAdLiveOfflineView.getView() == null || (iAdLivePlayModule = this.eF) == null) {
                return;
            }
            iAdLivePlayModule.onPause();
        } else if (bf()) {
        } else {
            com.kwad.sdk.core.video.videoview.a aVar = this.ex;
            if (aVar != null && (viewGroup = (ViewGroup) aVar.getParent()) != this.ev) {
                viewGroup.removeView(this.ex);
                if (this.ev.getTag() != null) {
                    KSRelativeLayout kSRelativeLayout = this.ev;
                    kSRelativeLayout.removeView((View) kSRelativeLayout.getTag());
                    this.ev.setTag(null);
                }
                this.ev.addView(this.ex);
                this.ev.setTag(this.ex);
                this.ex.setVideoSoundEnable(this.mIsAudioEnable);
                this.ey.setVideoPlayCallback(getVideoPlayCallback());
                this.ey.setAdClickListener(this.eC);
                this.ey.getAdTemplate().mAdWebVideoPageShowing = false;
                this.ey.qW();
                this.ey.setAutoRelease(true);
            }
            AdVideoPlayerViewCache.getInstance().remove(com.kwad.sdk.core.response.b.a.F(this.mAdInfo));
        }
    }

    @Override // com.kwad.components.core.widget.b
    public final void setMargin(int i2) {
    }

    public final void setPreloadListener(a aVar) {
        a aVar2 = this.fA;
        if (aVar2 != null) {
            aVar2.c(this.cF == 1 ? 2 : 1, "");
        }
        this.fA = aVar;
    }

    public final void setVideoPlayConfig(KsAdVideoPlayConfig ksAdVideoPlayConfig) {
        com.kwad.components.core.video.e eVar;
        IAdLivePlayModule iAdLivePlayModule;
        this.dJ = ksAdVideoPlayConfig;
        if (ksAdVideoPlayConfig instanceof KSAdVideoPlayConfigImpl) {
            KSAdVideoPlayConfigImpl kSAdVideoPlayConfigImpl = (KSAdVideoPlayConfigImpl) ksAdVideoPlayConfig;
            if (kSAdVideoPlayConfigImpl.getVideoSoundValue() != 0) {
                boolean isVideoSoundEnable = kSAdVideoPlayConfigImpl.isVideoSoundEnable();
                this.mIsAudioEnable = isVideoSoundEnable;
                this.mAdTemplate.mIsAudioEnable = isVideoSoundEnable;
                IAdLiveOfflineView iAdLiveOfflineView = this.eD;
                if (iAdLiveOfflineView == null || iAdLiveOfflineView.getView() == null || (iAdLivePlayModule = this.eF) == null) {
                    com.kwad.sdk.core.video.videoview.a aVar = this.ex;
                    if (aVar != null) {
                        aVar.setVideoSoundEnable(g(this.mIsAudioEnable));
                    }
                } else {
                    iAdLivePlayModule.setAudioEnabled(g(this.mIsAudioEnable), false);
                }
                if (this.mIsAudioEnable) {
                    com.kwad.components.core.t.a.al(this.mContext).a(this.eK);
                }
            }
            if (kSAdVideoPlayConfigImpl.getDataFlowAutoStartValue() == 0 || (eVar = this.ey) == null) {
                return;
            }
            eVar.setDataAutoStart(kSAdVideoPlayConfigImpl.isDataFlowAutoStart());
        }
    }

    public final void setWidth(int i2) {
        if (i2 <= 0) {
            i2 = getContext().getResources().getDisplayMetrics().widthPixels;
        }
        this.mWidth = i2;
    }
}
