package com.joke.chongya.sandbox.dialog;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.content.Intent;
import android.graphics.drawable.ColorDrawable;
import android.net.Uri;
import android.os.Build;
import android.os.Handler;
import android.os.Message;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.core.app.NotificationCompat;
import androidx.core.content.ContextCompat;
import androidx.core.content.FileProvider;
import androidx.databinding.DataBindingUtil;
import com.joke.chongya.basecommons.bean.ModUpdateVersion;
import com.joke.chongya.basecommons.databinding.DialogCommonDescriptionBinding;
import com.joke.chongya.basecommons.utils.ViewUtilsKt;
import com.joke.chongya.basecommons.view.dialog.BmCommonDialog;
import com.joke.chongya.sandbox.R;
import com.joke.chongya.sandbox.dialog.DescriptionCommonDialog;
import com.ss.android.downloadad.api.constant.AdBaseConstants;
import e.g.a.f.i.q;
import e.g.a.f.j.g.g;
import e.g.a.g.e.d;
import e.g.a.g.e.h;
import j.d1;
import j.p1.b.a;
import j.p1.c.f0;
import j.p1.c.s0;
import j.p1.c.u;
import java.io.File;
import java.io.IOException;
import java.util.Arrays;
import kotlin.Metadata;
import okhttp3.Call;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
/* compiled from: AAA */
@Metadata(d1 = {"\u0000N\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\n\u0018\u0000 *2\u00020\u0001:\u0001*B5\b\u0002\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\u0006\u0010\u0004\u001a\u00020\u0005\u0012\u0006\u0010\u0006\u001a\u00020\u0007\u0012\u0006\u0010\b\u001a\u00020\t\u0012\f\u0010\n\u001a\b\u0012\u0004\u0012\u00020\f0\u000b¢\u0006\u0002\u0010\rJ\b\u0010&\u001a\u00020\fH\u0002J\b\u0010'\u001a\u00020\fH\u0003J\b\u0010(\u001a\u00020\fH\u0016J\b\u0010)\u001a\u00020\fH\u0002R\u001c\u0010\u000e\u001a\u0004\u0018\u00010\u000fX\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0010\u0010\u0011\"\u0004\b\u0012\u0010\u0013R\u001c\u0010\u0014\u001a\u0004\u0018\u00010\u0015X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0016\u0010\u0017\"\u0004\b\u0018\u0010\u0019R\u001c\u0010\u001a\u001a\u0004\u0018\u00010\u001bX\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001c\u0010\u001d\"\u0004\b\u001e\u0010\u001fR\u000e\u0010\u0006\u001a\u00020\u0007X\u0082\u0004¢\u0006\u0002\n\u0000R\u001c\u0010 \u001a\u0004\u0018\u00010!X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\"\u0010#\"\u0004\b$\u0010%R\u000e\u0010\u0004\u001a\u00020\u0005X\u0082\u0004¢\u0006\u0002\n\u0000R\u0014\u0010\n\u001a\b\u0012\u0004\u0012\u00020\f0\u000bX\u0082\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\b\u001a\u00020\tX\u0082\u0004¢\u0006\u0002\n\u0000¨\u0006+"}, d2 = {"Lcom/joke/chongya/sandbox/dialog/DescriptionCommonDialog;", "Landroid/app/Dialog;", "context", "Landroid/content/Context;", "modUpdateBean", "Lcom/joke/chongya/basecommons/bean/ModUpdateVersion;", "flag", "", "singleMod", "", "nextTime", "Lkotlin/Function0;", "", "(Landroid/content/Context;Lcom/joke/chongya/basecommons/bean/ModUpdateVersion;ZILkotlin/jvm/functions/Function0;)V", "binding", "Lcom/joke/chongya/basecommons/databinding/DialogCommonDescriptionBinding;", "getBinding", "()Lcom/joke/chongya/basecommons/databinding/DialogCommonDescriptionBinding;", "setBinding", "(Lcom/joke/chongya/basecommons/databinding/DialogCommonDescriptionBinding;)V", NotificationCompat.CATEGORY_CALL, "Lokhttp3/Call;", "getCall", "()Lokhttp3/Call;", "setCall", "(Lokhttp3/Call;)V", "fileName", "", "getFileName", "()Ljava/lang/String;", "setFileName", "(Ljava/lang/String;)V", "mHandler", "Landroid/os/Handler;", "getMHandler", "()Landroid/os/Handler;", "setMHandler", "(Landroid/os/Handler;)V", "download", "initView", "onDetachedFromWindow", "showUpdateFailureDialog", "Companion", "modManager_release"}, k = 1, mv = {1, 7, 1}, xi = 48)
/* loaded from: classes2.dex */
public final class DescriptionCommonDialog extends Dialog {
    @NotNull
    public static final Companion Companion = new Companion(null);
    public static final int EDITION_UPDATE = 1001;
    public static final int MOD_HOME_UPDATE = 1002;
    public static final int MOD_INSTALL_BM = 1005;
    public static final int MOD_INSTALL_UPDATE = 1003;
    public static final int MOD_NO_INSTALL = 1004;
    @Nullable
    public DialogCommonDescriptionBinding binding;
    @Nullable
    public Call call;
    @Nullable
    public String fileName;
    public final boolean flag;
    @Nullable
    public Handler mHandler;
    @NotNull
    public final ModUpdateVersion modUpdateBean;
    @NotNull
    public final a<d1> nextTime;
    public final int singleMod;

    /* compiled from: AAA */
    @Metadata(d1 = {"\u00008\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000b\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0010\u0002\n\u0000\b\u0086\u0003\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J4\u0010\t\u001a\u00020\n2\u0006\u0010\u000b\u001a\u00020\f2\u0006\u0010\r\u001a\u00020\u000e2\u0006\u0010\u000f\u001a\u00020\u00102\u0006\u0010\u0011\u001a\u00020\u00042\f\u0010\u0012\u001a\b\u0012\u0004\u0012\u00020\u00140\u0013R\u000e\u0010\u0003\u001a\u00020\u0004X\u0086T¢\u0006\u0002\n\u0000R\u000e\u0010\u0005\u001a\u00020\u0004X\u0086T¢\u0006\u0002\n\u0000R\u000e\u0010\u0006\u001a\u00020\u0004X\u0086T¢\u0006\u0002\n\u0000R\u000e\u0010\u0007\u001a\u00020\u0004X\u0086T¢\u0006\u0002\n\u0000R\u000e\u0010\b\u001a\u00020\u0004X\u0086T¢\u0006\u0002\n\u0000¨\u0006\u0015"}, d2 = {"Lcom/joke/chongya/sandbox/dialog/DescriptionCommonDialog$Companion;", "", "()V", "EDITION_UPDATE", "", "MOD_HOME_UPDATE", "MOD_INSTALL_BM", "MOD_INSTALL_UPDATE", "MOD_NO_INSTALL", "createNewDialog", "Lcom/joke/chongya/sandbox/dialog/DescriptionCommonDialog;", "context", "Landroid/content/Context;", "modUpdateBean", "Lcom/joke/chongya/basecommons/bean/ModUpdateVersion;", "flag", "", "singleMod", "nextTime", "Lkotlin/Function0;", "", "modManager_release"}, k = 1, mv = {1, 7, 1}, xi = 48)
    /* loaded from: classes2.dex */
    public static final class Companion {
        public Companion() {
        }

        public /* synthetic */ Companion(u uVar) {
            this();
        }

        @NotNull
        public final DescriptionCommonDialog createNewDialog(@NotNull Context context, @NotNull ModUpdateVersion modUpdateVersion, boolean z, int i2, @NotNull a<d1> aVar) {
            f0.checkNotNullParameter(context, "context");
            f0.checkNotNullParameter(modUpdateVersion, "modUpdateBean");
            f0.checkNotNullParameter(aVar, "nextTime");
            return new DescriptionCommonDialog(context, modUpdateVersion, z, i2, aVar, null);
        }
    }

    public DescriptionCommonDialog(Context context, ModUpdateVersion modUpdateVersion, boolean z, int i2, a<d1> aVar) {
        super(context);
        View root;
        this.modUpdateBean = modUpdateVersion;
        this.flag = z;
        this.singleMod = i2;
        this.nextTime = aVar;
        Window window = getWindow();
        if (window != null) {
            window.setBackgroundDrawable(new ColorDrawable(0));
        }
        requestWindowFeature(1);
        WindowManager.LayoutParams attributes = window != null ? window.getAttributes() : null;
        if (attributes != null) {
            attributes.width = -1;
        }
        if (window != null) {
            window.setAttributes(attributes);
        }
        DialogCommonDescriptionBinding dialogCommonDescriptionBinding = (DialogCommonDescriptionBinding) DataBindingUtil.inflate(LayoutInflater.from(context), R.layout.dialog_common_description, null, false);
        this.binding = dialogCommonDescriptionBinding;
        if (dialogCommonDescriptionBinding != null && (root = dialogCommonDescriptionBinding.getRoot()) != null) {
            setContentView(root);
        }
        setCanceledOnTouchOutside(false);
        if (window != null) {
            window.setWindowAnimations(R.style.IOSAnimStyle);
        }
        initView();
    }

    public /* synthetic */ DescriptionCommonDialog(Context context, ModUpdateVersion modUpdateVersion, boolean z, int i2, a aVar, u uVar) {
        this(context, modUpdateVersion, z, i2, aVar);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void download() {
        Call call;
        if (TextUtils.isEmpty(this.modUpdateBean.getPackageUrl())) {
            q.show(getContext(), getContext().getString(R.string.download_link_error));
            return;
        }
        h aVar = h.Companion.getInstance();
        if (aVar != null) {
            String packageUrl = this.modUpdateBean.getPackageUrl();
            String str = this.fileName;
            f0.checkNotNull(str);
            call = aVar.downApkNew(packageUrl, str, new h.b() { // from class: com.joke.chongya.sandbox.dialog.DescriptionCommonDialog$download$1
                @Override // e.g.a.g.e.h.b
                public void onComplete(@Nullable File file) {
                    String[] strArr = new String[3];
                    strArr[0] = "chmod";
                    strArr[1] = "777";
                    Uri uri = null;
                    strArr[2] = file != null ? file.getAbsolutePath() : null;
                    try {
                        new ProcessBuilder((String[]) Arrays.copyOf(strArr, 3)).start();
                    } catch (IOException e2) {
                        e2.printStackTrace();
                    }
                    Intent intent = new Intent();
                    intent.setAction("android.intent.action.VIEW");
                    intent.addCategory("android.intent.category.DEFAULT");
                    intent.addFlags(3);
                    if (Build.VERSION.SDK_INT < 24) {
                        uri = Uri.fromFile(file);
                    } else if (file != null) {
                        DescriptionCommonDialog descriptionCommonDialog = DescriptionCommonDialog.this;
                        Context context = descriptionCommonDialog.getContext();
                        uri = FileProvider.getUriForFile(context, descriptionCommonDialog.getContext().getPackageName() + ".FileProvider", file);
                    }
                    intent.setDataAndType(uri, AdBaseConstants.MIME_APK);
                    DescriptionCommonDialog.this.getContext().startActivity(intent);
                    DescriptionCommonDialog.this.dismiss();
                }

                @Override // e.g.a.g.e.h.b
                public void onFail(@Nullable String str2) {
                    DescriptionCommonDialog.this.dismiss();
                    DescriptionCommonDialog.this.showUpdateFailureDialog();
                }

                @Override // e.g.a.g.e.h.b
                @SuppressLint({"SetTextI18n"})
                public void onProgress(long j2, long j3, int i2) {
                    Message obtain = Message.obtain();
                    obtain.what = 1001;
                    obtain.obj = Integer.valueOf(i2);
                    Handler mHandler = DescriptionCommonDialog.this.getMHandler();
                    if (mHandler != null) {
                        mHandler.sendMessage(obtain);
                    }
                }
            });
        } else {
            call = null;
        }
        this.call = call;
    }

    @SuppressLint({"SetTextI18n"})
    private final void initView() {
        String str;
        final DialogCommonDescriptionBinding dialogCommonDescriptionBinding = this.binding;
        if (dialogCommonDescriptionBinding != null) {
            if (this.singleMod != 1005) {
                dialogCommonDescriptionBinding.tvVersionTitle.setText("32位八门变速器更新提示");
            } else {
                TextView textView = dialogCommonDescriptionBinding.tvVersionTitle;
                s0 s0Var = s0.INSTANCE;
                String string = getContext().getString(R.string.mod_upgrade);
                f0.checkNotNullExpressionValue(string, "context.getString(R.string.mod_upgrade)");
                String format = String.format(string, Arrays.copyOf(new Object[]{this.modUpdateBean.getPackageVersionName()}, 1));
                f0.checkNotNullExpressionValue(format, "format(format, *args)");
                textView.setText(format);
            }
            dialogCommonDescriptionBinding.tvUpdatedVersion.setText('V' + this.modUpdateBean.getPackageVersionName());
            String str2 = "";
            switch (this.singleMod) {
                case 1002:
                    dialogCommonDescriptionBinding.version.setVisibility(8);
                    dialogCommonDescriptionBinding.tvUpdateIntroduction.setVisibility(8);
                    dialogCommonDescriptionBinding.tvUpdatedVersion.setVisibility(8);
                    boolean z = TextUtils.isEmpty(this.modUpdateBean.getPackageSize()) || f0.areEqual("0", this.modUpdateBean.getPackageSize());
                    StringBuilder sb = new StringBuilder();
                    sb.append("\n检测到您已安装32位游戏，因32位八门变速器版本升级，需将原来的32位游戏做迁移。\n\n建议更新32位八门变速器，如忽略更新，八门变速器首页已安装的32位游戏将无法外显。");
                    if (!z) {
                        str2 = "（大小：" + this.modUpdateBean.getPackageSize();
                    }
                    sb.append(str2);
                    sb.append("M）");
                    dialogCommonDescriptionBinding.tvUpdateContent.setText(d.INSTANCE.fromHtml(sb.toString()));
                    break;
                case 1003:
                    dialogCommonDescriptionBinding.tvUpdateSubtitle.setVisibility(0);
                    dialogCommonDescriptionBinding.tvUpdateSubtitle.setText("该游戏为32位游戏，需安装至32位八门变速器中。检测到32位八门变速器有版本更新，建议您更新至新版。");
                    dialogCommonDescriptionBinding.tvUpdateContent.setText(d.INSTANCE.fromHtml(this.modUpdateBean.getUpdateContent()));
                    break;
                case 1004:
                    boolean z2 = TextUtils.isEmpty(this.modUpdateBean.getPackageSize()) || f0.areEqual("0", this.modUpdateBean.getPackageSize());
                    StringBuilder sb2 = new StringBuilder();
                    sb2.append("该游戏为32位游戏，需安装至32位八门变速器中。请勿卸载32位八门变速器，否则该游戏将会从八门变速器中删除。");
                    if (!z2) {
                        str2 = "（大小：" + this.modUpdateBean.getPackageSize();
                    }
                    sb2.append(str2);
                    sb2.append("M）");
                    dialogCommonDescriptionBinding.tvUpdateContent.setText(d.INSTANCE.fromHtml(sb2.toString()));
                    break;
                case 1005:
                    dialogCommonDescriptionBinding.tvUpdateContent.setText(d.INSTANCE.fromHtml(this.modUpdateBean.getUpdateContent()));
                    break;
                default:
                    dialogCommonDescriptionBinding.tvUpdateContent.setText(d.INSTANCE.fromHtml(this.modUpdateBean.getUpdateContent()));
                    break;
            }
            int i2 = this.singleMod;
            if (i2 != 1005) {
                if (i2 == 1004) {
                    dialogCommonDescriptionBinding.tvUpdateImmediately.setText("安装32位八门变速器");
                    dialogCommonDescriptionBinding.tvStrongerUpdate.setText("安装32位八门变速器");
                } else {
                    dialogCommonDescriptionBinding.tvUpdateImmediately.setText("更新32位八门变速器");
                    dialogCommonDescriptionBinding.tvStrongerUpdate.setText("更新32位八门变速器");
                }
                dialogCommonDescriptionBinding.tvNextTime.setText("忽略更新");
            }
            if (this.modUpdateBean.getUpdateType() == 1) {
                if (this.singleMod == 1002) {
                    dialogCommonDescriptionBinding.tvStrongerUpdate.setVisibility(8);
                    dialogCommonDescriptionBinding.linearUpdate.setVisibility(0);
                } else {
                    dialogCommonDescriptionBinding.linearUpdate.setVisibility(8);
                    dialogCommonDescriptionBinding.tvStrongerUpdate.setVisibility(0);
                }
            } else if (this.modUpdateBean.getUpdateType() == 3) {
                dialogCommonDescriptionBinding.tvStrongerUpdate.setVisibility(8);
                dialogCommonDescriptionBinding.linearUpdate.setVisibility(0);
            }
            ImageView imageView = dialogCommonDescriptionBinding.ivClose;
            f0.checkNotNullExpressionValue(imageView, "ivClose");
            ViewUtilsKt.clickNoRepeat$default(imageView, 0L, new DescriptionCommonDialog$initView$1$1(this), 1, null);
            TextView textView2 = dialogCommonDescriptionBinding.tvNextTime;
            f0.checkNotNullExpressionValue(textView2, "tvNextTime");
            ViewUtilsKt.clickNoRepeat$default(textView2, 0L, new DescriptionCommonDialog$initView$1$2(this), 1, null);
            TextView textView3 = dialogCommonDescriptionBinding.tvUpdateImmediately;
            f0.checkNotNullExpressionValue(textView3, "tvUpdateImmediately");
            ViewUtilsKt.clickNoRepeat$default(textView3, 0L, new DescriptionCommonDialog$initView$1$3(dialogCommonDescriptionBinding, this), 1, null);
            TextView textView4 = dialogCommonDescriptionBinding.tvStrongerUpdate;
            f0.checkNotNullExpressionValue(textView4, "tvStrongerUpdate");
            ViewUtilsKt.clickNoRepeat$default(textView4, 0L, new DescriptionCommonDialog$initView$1$4(dialogCommonDescriptionBinding, this), 1, null);
            if (this.flag) {
                str = "base64_" + this.modUpdateBean.getPackageVersionCode() + ".apk";
            } else {
                str = "bmsq32_" + this.modUpdateBean.getPackageVersionCode() + ".apk";
            }
            this.fileName = str;
            this.mHandler = new Handler(new Handler.Callback() { // from class: e.g.a.j.b.f
                @Override // android.os.Handler.Callback
                public final boolean handleMessage(Message message) {
                    return DescriptionCommonDialog.m61initView$lambda2$lambda1(DialogCommonDescriptionBinding.this, this, message);
                }
            });
        }
    }

    /* renamed from: initView$lambda-2$lambda-1  reason: not valid java name */
    public static final boolean m61initView$lambda2$lambda1(DialogCommonDescriptionBinding dialogCommonDescriptionBinding, DescriptionCommonDialog descriptionCommonDialog, Message message) {
        Object obj;
        f0.checkNotNullParameter(dialogCommonDescriptionBinding, "$this_apply");
        f0.checkNotNullParameter(descriptionCommonDialog, "this$0");
        f0.checkNotNullParameter(message, "message");
        if (message.what != 1001 || (obj = message.obj) == null) {
            return false;
        }
        f0.checkNotNull(obj, "null cannot be cast to non-null type kotlin.Int");
        int intValue = ((Integer) obj).intValue();
        dialogCommonDescriptionBinding.pbProgressBar.setProgress(intValue);
        TextView textView = dialogCommonDescriptionBinding.tvUpdateSpeed;
        StringBuilder sb = new StringBuilder();
        sb.append(intValue);
        sb.append('%');
        textView.setText(sb.toString());
        dialogCommonDescriptionBinding.tvUpdateSpeed.setTextColor(ContextCompat.getColor(descriptionCommonDialog.getContext(), R.color.main_color));
        dialogCommonDescriptionBinding.tvUpdateSpeed.setBackgroundResource(R.drawable.bm_home_update_bg);
        return false;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void showUpdateFailureDialog() {
        if (getContext() instanceof Activity) {
            Context context = getContext();
            f0.checkNotNull(context, "null cannot be cast to non-null type android.app.Activity");
            ((Activity) context).runOnUiThread(new Runnable() { // from class: e.g.a.j.b.a
                @Override // java.lang.Runnable
                public final void run() {
                    DescriptionCommonDialog.m62showUpdateFailureDialog$lambda3(DescriptionCommonDialog.this);
                }
            });
        }
    }

    /* renamed from: showUpdateFailureDialog$lambda-3  reason: not valid java name */
    public static final void m62showUpdateFailureDialog$lambda3(final DescriptionCommonDialog descriptionCommonDialog) {
        f0.checkNotNullParameter(descriptionCommonDialog, "this$0");
        Context context = descriptionCommonDialog.getContext();
        f0.checkNotNullExpressionValue(context, "context");
        g.getDialogTwoBtn(context, descriptionCommonDialog.getContext().getString(R.string.down_fail_hint), descriptionCommonDialog.getContext().getString(R.string.cancel), descriptionCommonDialog.getContext().getString(R.string.confirm), new BmCommonDialog.b() { // from class: com.joke.chongya.sandbox.dialog.DescriptionCommonDialog$showUpdateFailureDialog$1$1
            @Override // com.joke.chongya.basecommons.view.dialog.BmCommonDialog.b
            public void onViewClick(@Nullable BmCommonDialog bmCommonDialog, int i2) {
                if (i2 == 2) {
                    DescriptionCommonDialog.this.dismiss();
                } else if (i2 != 3) {
                } else {
                    DescriptionCommonDialog.this.download();
                }
            }
        }).show();
    }

    @Nullable
    public final DialogCommonDescriptionBinding getBinding() {
        return this.binding;
    }

    @Nullable
    public final Call getCall() {
        return this.call;
    }

    @Nullable
    public final String getFileName() {
        return this.fileName;
    }

    @Nullable
    public final Handler getMHandler() {
        return this.mHandler;
    }

    @Override // android.app.Dialog, android.view.Window.Callback
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        Call call = this.call;
        if (call != null) {
            call.cancel();
        }
        this.mHandler = null;
    }

    public final void setBinding(@Nullable DialogCommonDescriptionBinding dialogCommonDescriptionBinding) {
        this.binding = dialogCommonDescriptionBinding;
    }

    public final void setCall(@Nullable Call call) {
        this.call = call;
    }

    public final void setFileName(@Nullable String str) {
        this.fileName = str;
    }

    public final void setMHandler(@Nullable Handler handler) {
        this.mHandler = handler;
    }
}
