package com.joke.downframework.ui.fragments;

import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.core.graphics.drawable.IconCompat;
import androidx.fragment.app.FragmentActivity;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.listener.OnItemChildClickListener;
import com.chad.library.adapter.base.listener.OnItemClickListener;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.joke.chongya.basecommons.view.dialog.BmCommonDialog;
import com.joke.chongya.download.utils.BmNetWorkUtils;
import com.joke.chongya.download.view.DownloadBar;
import com.joke.chongya.mvp.ui.activity.download.DownloadManagerActivity;
import com.joke.downframework.data.entity.AppInfo;
import com.joke.downframework.data.entity.DeletTaskResumDownloadEvent;
import com.joke.downframework.data.entity.UnInstallAppEvent;
import com.joke.downframework.ui.adapter.BmDownloadManagerAdapter;
import com.joke.downframework.ui.fragments.BmDownloadManagerFragment;
import com.joke.downloadframework.R;
import com.joke.downloadframework.databinding.BmFragmentDownloadManagerBinding;
import e.b.b.a.a.f.f;
import e.g.a.f.i.c1;
import e.g.a.f.i.n0;
import e.g.a.f.i.q;
import e.g.a.f.i.v0;
import e.g.a.g.e.j;
import e.g.b.f.e;
import e.g.b.i.c.m;
import e.g.b.j.g;
import e.g.b.j.i;
import j.p1.c.f0;
import j.p1.c.u;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import kotlin.Metadata;
import kotlin.jvm.JvmStatic;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
/* compiled from: AAA */
@Metadata(d1 = {"\u0000x\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010!\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\t\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010\u0000\n\u0002\b\u0004\n\u0002\u0010 \n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\t\n\u0002\u0018\u0002\n\u0002\b\u0005\u0018\u0000 72\b\u0012\u0004\u0012\u00020\u00020\u0001:\u00017B\u0005¢\u0006\u0002\u0010\u0003J\u001c\u0010\u000b\u001a\u00020\f2\b\u0010\r\u001a\u0004\u0018\u00010\u000e2\b\u0010\u000f\u001a\u0004\u0018\u00010\u000eH\u0002J\u0010\u0010\u0010\u001a\u00020\u00112\u0006\u0010\u0012\u001a\u00020\u0013H\u0002J\u000f\u0010\u0014\u001a\u0004\u0018\u00010\fH\u0016¢\u0006\u0002\u0010\u0015J\u0012\u0010\u0016\u001a\u00020\u00112\b\u0010\u0017\u001a\u0004\u0018\u00010\u0018H\u0016J\b\u0010\u0019\u001a\u00020\u0011H\u0002J\b\u0010\u001a\u001a\u00020\u0011H\u0002J\u001a\u0010\u001b\u001a\u00020\u00112\u0010\u0010\u001c\u001a\f\u0012\u0006\u0012\u0004\u0018\u00010\b\u0018\u00010\u001dH\u0002J\b\u0010\u001e\u001a\u00020\u0011H\u0016J\u0012\u0010\u001f\u001a\u00020\u00112\b\u0010 \u001a\u0004\u0018\u00010!H\u0016J\u0012\u0010\"\u001a\u00020\u00112\b\u0010#\u001a\u0004\u0018\u00010$H\u0007J\u0010\u0010%\u001a\u00020\u00112\u0006\u0010#\u001a\u00020&H\u0007J\u0012\u0010'\u001a\u00020\u00112\b\u0010(\u001a\u0004\u0018\u00010)H\u0007J\u001a\u0010*\u001a\u00020\u00112\u0010\u0010+\u001a\f\u0012\u0006\u0012\u0004\u0018\u00010\b\u0018\u00010\u001dH\u0002J\u0010\u0010,\u001a\u00020\u00112\u0006\u0010-\u001a\u00020\u0013H\u0002J\b\u0010.\u001a\u00020\u0011H\u0002J\u0010\u0010/\u001a\u00020\u00112\b\u0010-\u001a\u0004\u0018\u00010\u0013J\u0010\u00100\u001a\u00020\u00112\u0006\u0010-\u001a\u00020\u0013H\u0002J\u0010\u00101\u001a\u00020\u00112\u0006\u00102\u001a\u000203H\u0002J\u001a\u00104\u001a\u00020\u00112\u0010\u00105\u001a\f\u0012\u0006\u0012\u0004\u0018\u00010\b\u0018\u00010\u001dH\u0002J\u0012\u00106\u001a\u00020\f2\b\u0010\u0017\u001a\u0004\u0018\u00010\u0018H\u0016R\u0010\u0010\u0004\u001a\u0004\u0018\u00010\u0005X\u0082\u000e¢\u0006\u0002\n\u0000R\u0016\u0010\u0006\u001a\n\u0012\u0004\u0012\u00020\b\u0018\u00010\u0007X\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\nX\u0082\u000e¢\u0006\u0002\n\u0000¨\u00068"}, d2 = {"Lcom/joke/downframework/ui/fragments/BmDownloadManagerFragment;", "Lcom/joke/downframework/ui/fragments/BaseObserverLazyFragment;", "Lcom/joke/downloadframework/databinding/BmFragmentDownloadManagerBinding;", "()V", "mAdapter", "Lcom/joke/downframework/ui/adapter/BmDownloadManagerAdapter;", "mAppItemLists", "", "Lcom/joke/downframework/data/BmDownloadSection;", "mLastClickTime", "", "collectionsSort", "", "str", "", "str1", f.SUBRESOURCE_DELETE, "", "clickInfo", "Lcom/joke/downframework/data/entity/AppInfo;", "getLayoutId", "()Ljava/lang/Integer;", "handleExcption", IconCompat.EXTRA_OBJ, "", "initAdapter", "initData", "installSort", "install", "", "lazyInit", "onCreate", "savedInstanceState", "Landroid/os/Bundle;", "onDeletResumDownloadEvent", "event", "Lcom/joke/downframework/data/entity/DeletTaskResumDownloadEvent;", "onRestart", "Lcom/joke/chongya/forum/event/NotifyRestartDownloadEvent;", "onUnInstallApp", "installApp", "Lcom/joke/downframework/data/entity/UnInstallAppEvent;", "originalSort", "original", "redownload", e.g.a.g.a.EXTRA_LOADING_APP_INFO, "refreshAdapterData", "restartDownload", "restartShow", "setEmptyView", "view", "Landroid/view/View;", "startSort", "start", "updateProgress", "Companion", "downloadFramework_release"}, k = 1, mv = {1, 7, 1}, xi = 48)
/* loaded from: classes.dex */
public final class BmDownloadManagerFragment extends BaseObserverLazyFragment<BmFragmentDownloadManagerBinding> {
    @NotNull
    public static final a Companion = new a(null);
    public static final int FAST_CLICK_DELAY_TIME = 2000;
    @Nullable
    public BmDownloadManagerAdapter mAdapter;
    @Nullable
    public List<e.g.b.c.b> mAppItemLists;
    public long mLastClickTime;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static final class a {
        public a() {
        }

        public /* synthetic */ a(u uVar) {
            this();
        }

        /* JADX INFO: Access modifiers changed from: private */
        public final boolean isWifi(Context context) {
            Object systemService = context != null ? context.getSystemService("connectivity") : null;
            f0.checkNotNull(systemService, "null cannot be cast to non-null type android.net.ConnectivityManager");
            NetworkInfo activeNetworkInfo = ((ConnectivityManager) systemService).getActiveNetworkInfo();
            return activeNetworkInfo != null && activeNetworkInfo.getType() == 1;
        }

        @JvmStatic
        @NotNull
        public final BmDownloadManagerFragment newInstance(@Nullable Bundle bundle) {
            BmDownloadManagerFragment bmDownloadManagerFragment = new BmDownloadManagerFragment();
            bmDownloadManagerFragment.setArguments(bundle);
            return bmDownloadManagerFragment;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static final class b implements BmCommonDialog.b {
        public final /* synthetic */ AppInfo $clickInfo;
        public final /* synthetic */ FragmentActivity $it;
        public final /* synthetic */ BmDownloadManagerFragment this$0;

        public b(FragmentActivity fragmentActivity, AppInfo appInfo, BmDownloadManagerFragment bmDownloadManagerFragment) {
            this.$it = fragmentActivity;
            this.$clickInfo = appInfo;
            this.this$0 = bmDownloadManagerFragment;
        }

        @Override // com.joke.chongya.basecommons.view.dialog.BmCommonDialog.b
        public void onViewClick(@Nullable BmCommonDialog bmCommonDialog, int i2) {
            DownloadManagerActivity downloadManagerActivity;
            if (i2 == 3) {
                v0.a aVar = v0.Companion;
                FragmentActivity fragmentActivity = this.$it;
                String appname = this.$clickInfo.getAppname();
                if (appname == null) {
                    appname = "";
                }
                aVar.onEvent(fragmentActivity, "下载管理器-删除", appname);
                e.g.b.c.a.deleteDownloadInfo(this.$clickInfo);
                this.this$0.refreshAdapterData();
                this.$clickInfo.setState(-1);
                this.$clickInfo.setProgress(0);
                EventBus.getDefault().postSticky(new e.g.a.h.g.c(this.$clickInfo));
                if (this.this$0.getContext() == null || (downloadManagerActivity = (DownloadManagerActivity) this.this$0.getContext()) == null) {
                    return;
                }
                downloadManagerActivity.downloadUpdate();
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static final class c implements BmCommonDialog.b {
        public final /* synthetic */ AppInfo $appInfo;
        public final /* synthetic */ FragmentActivity $it;
        public final /* synthetic */ BmDownloadManagerFragment this$0;

        public c(FragmentActivity fragmentActivity, AppInfo appInfo, BmDownloadManagerFragment bmDownloadManagerFragment) {
            this.$it = fragmentActivity;
            this.$appInfo = appInfo;
            this.this$0 = bmDownloadManagerFragment;
        }

        @Override // com.joke.chongya.basecommons.view.dialog.BmCommonDialog.b
        public void onViewClick(@Nullable BmCommonDialog bmCommonDialog, int i2) {
            if (i2 == 2) {
                this.$appInfo.setRestartDownload(false);
                this.$appInfo.setIs4GDownload(false);
            } else if (i2 != 3) {
            } else {
                v0.a aVar = v0.Companion;
                FragmentActivity fragmentActivity = this.$it;
                String appname = this.$appInfo.getAppname();
                if (appname == null) {
                    appname = "";
                }
                aVar.onEvent(fragmentActivity, "下载管理器-4G网络重新下载", appname);
                FragmentActivity fragmentActivity2 = this.$it;
                f0.checkNotNullExpressionValue(fragmentActivity2, "it");
                e.g.a.g.e.c.setIsOnlyWifiDown(fragmentActivity2, false);
                this.$appInfo.setRestartDownload(true);
                if (this.$appInfo.getState() != 5 && this.$appInfo.getState() != 4 && this.$appInfo.getState() != 3 && this.$appInfo.getState() != -1 && this.$appInfo.getState() != 8) {
                    this.$appInfo.setDelSucceed(true);
                    e.g.b.c.a.restartDownloadInfo(this.$appInfo);
                    return;
                }
                e.g.b.c.a.restartDownloadInfo(this.$appInfo);
                this.$appInfo.setIs4GDownload(true);
                this.this$0.restartDownload(this.$appInfo);
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static final class d implements BmCommonDialog.b {
        public final /* synthetic */ AppInfo $appInfo;
        public final /* synthetic */ FragmentActivity $it;
        public final /* synthetic */ BmDownloadManagerFragment this$0;

        public d(FragmentActivity fragmentActivity, AppInfo appInfo, BmDownloadManagerFragment bmDownloadManagerFragment) {
            this.$it = fragmentActivity;
            this.$appInfo = appInfo;
            this.this$0 = bmDownloadManagerFragment;
        }

        @Override // com.joke.chongya.basecommons.view.dialog.BmCommonDialog.b
        public void onViewClick(@Nullable BmCommonDialog bmCommonDialog, int i2) {
            if (i2 == 2) {
                this.$appInfo.setRestartDownload(false);
                this.$appInfo.setIs4GDownload(false);
            } else if (i2 != 3) {
            } else {
                v0.a aVar = v0.Companion;
                FragmentActivity fragmentActivity = this.$it;
                String appname = this.$appInfo.getAppname();
                if (appname == null) {
                    appname = "";
                }
                aVar.onEvent(fragmentActivity, "下载管理器-4G网络重新下载", appname);
                this.$appInfo.setRestartDownload(true);
                if (this.$appInfo.getState() != 5 && this.$appInfo.getState() != 4 && this.$appInfo.getState() != 3 && this.$appInfo.getState() != -1 && this.$appInfo.getState() != 8) {
                    this.$appInfo.setDelSucceed(true);
                    e.g.b.c.a.restartDownloadInfo(this.$appInfo);
                    return;
                }
                e.g.b.c.a.restartDownloadInfo(this.$appInfo);
                this.$appInfo.setIs4GDownload(true);
                this.this$0.restartDownload(this.$appInfo);
            }
        }
    }

    private final int collectionsSort(String str, String str2) {
        long stringToLong = e.g.a.g.e.d.getStringToLong(str, 0L) - e.g.a.g.e.d.getStringToLong(str2, 0L);
        if (stringToLong > 0) {
            return -1;
        }
        return stringToLong == 0 ? 0 : 1;
    }

    private final void delete(AppInfo appInfo) {
        int appstatus = appInfo.getAppstatus();
        if (g.INSTANCE.isStartable(appInfo.getState(), appstatus)) {
            if (e.g.b.c.a.isContainId(appInfo.getAppid())) {
                e.g.b.c.a.deleteDownloadInfo(appInfo);
            }
            refreshAdapterData();
            return;
        }
        FragmentActivity activity = getActivity();
        if (activity != null) {
            e.g.a.f.j.g.g.getDialogTwoBtn(activity, "删除任务将同时删除已下载的本地文件,确定删除？", new b(activity, appInfo, this)).show();
        }
    }

    private final void initAdapter() {
        BmDownloadManagerAdapter bmDownloadManagerAdapter = this.mAdapter;
        if (bmDownloadManagerAdapter != null) {
            bmDownloadManagerAdapter.addChildClickViewIds(R.id.down_app_item_header_button, R.id.item_download_list_action, R.id.item_download_list_icon, R.id.item_download_redownload, R.id.item_download_delete);
        }
        BmDownloadManagerAdapter bmDownloadManagerAdapter2 = this.mAdapter;
        if (bmDownloadManagerAdapter2 != null) {
            bmDownloadManagerAdapter2.setOnItemClickListener(new OnItemClickListener() { // from class: e.g.b.i.c.r
                @Override // com.chad.library.adapter.base.listener.OnItemClickListener
                public final void onItemClick(BaseQuickAdapter baseQuickAdapter, View view, int i2) {
                    BmDownloadManagerFragment.m107initAdapter$lambda1(BmDownloadManagerFragment.this, baseQuickAdapter, view, i2);
                }
            });
        }
        BmDownloadManagerAdapter bmDownloadManagerAdapter3 = this.mAdapter;
        if (bmDownloadManagerAdapter3 != null) {
            bmDownloadManagerAdapter3.setOnItemChildClickListener(new OnItemChildClickListener() { // from class: e.g.b.i.c.j
                @Override // com.chad.library.adapter.base.listener.OnItemChildClickListener
                public final void onItemChildClick(BaseQuickAdapter baseQuickAdapter, View view, int i2) {
                    BmDownloadManagerFragment.m108initAdapter$lambda3(BmDownloadManagerFragment.this, baseQuickAdapter, view, i2);
                }
            });
        }
    }

    /* renamed from: initAdapter$lambda-1  reason: not valid java name */
    public static final void m107initAdapter$lambda1(BmDownloadManagerFragment bmDownloadManagerFragment, BaseQuickAdapter baseQuickAdapter, View view, int i2) {
        f0.checkNotNullParameter(bmDownloadManagerFragment, "this$0");
        f0.checkNotNullParameter(baseQuickAdapter, "adapter");
        f0.checkNotNullParameter(view, "view");
        e.g.b.c.b bVar = (e.g.b.c.b) baseQuickAdapter.getData().get(i2);
        if (bVar == null || bVar.getAppInfo() == null) {
            return;
        }
        FragmentActivity activity = bmDownloadManagerFragment.getActivity();
        if (activity != null) {
            v0.a aVar = v0.Companion;
            String appname = bVar.getAppInfo().getAppname();
            if (appname == null) {
                appname = "";
            }
            aVar.onEvent(activity, "下载管理器-被点击应用", appname);
        }
        LinearLayout linearLayout = (LinearLayout) view.findViewById(R.id.item_download_bottom_container);
        ImageView imageView = (ImageView) view.findViewById(R.id.item_arrow_up);
        ImageView imageView2 = (ImageView) view.findViewById(R.id.item_arrow_down);
        TextView textView = (TextView) view.findViewById(R.id.item_download_redownload);
        TextView textView2 = (TextView) view.findViewById(R.id.item_download_delete);
        if (linearLayout.getVisibility() == 0) {
            linearLayout.setVisibility(8);
            imageView2.setVisibility(0);
            imageView.setVisibility(8);
        } else {
            linearLayout.setVisibility(0);
            imageView2.setVisibility(8);
            imageView.setVisibility(0);
        }
        int appstatus = bVar.getAppInfo().getAppstatus();
        boolean isStartable = g.INSTANCE.isStartable(bVar.getAppInfo().getState(), appstatus);
        textView2.setVisibility(0);
        if (isStartable) {
            textView.setVisibility(8);
        } else {
            textView.setVisibility(0);
        }
    }

    /* renamed from: initAdapter$lambda-3  reason: not valid java name */
    public static final void m108initAdapter$lambda3(BmDownloadManagerFragment bmDownloadManagerFragment, BaseQuickAdapter baseQuickAdapter, View view, int i2) {
        DownloadBar downloadBar;
        RecyclerView recyclerView;
        f0.checkNotNullParameter(bmDownloadManagerFragment, "this$0");
        f0.checkNotNullParameter(baseQuickAdapter, "adapter");
        f0.checkNotNullParameter(view, "view");
        int id = view.getId();
        e.g.b.c.b bVar = (e.g.b.c.b) baseQuickAdapter.getData().get(i2);
        if (bVar != null) {
            if (id == R.id.item_download_list_icon) {
                if (bVar.getAppInfo() != null) {
                    String apppackagename = bVar.getAppInfo().getApppackagename();
                    if (apppackagename == null) {
                        apppackagename = "";
                    }
                    String jumpUrl = j.getJumpUrl(apppackagename, "");
                    Bundle bundle = new Bundle();
                    if (bVar.getAppInfo().getState() == 5 && bVar.getAppInfo().getModListId() != 0) {
                        if (bVar.getAppInfo().getModDetailsId() != 0) {
                            bundle.putString(e.g.a.g.a.EXTRA_JUMP_APP_ID, String.valueOf(bVar.getAppInfo().getModDetailsId()));
                        } else {
                            bundle.putString(e.g.a.g.a.EXTRA_JUMP_APP_ID, String.valueOf(bVar.getAppInfo().getAppid()));
                        }
                    } else {
                        bundle.putString(e.g.a.g.a.EXTRA_JUMP_APP_ID, String.valueOf(bVar.getAppInfo().getAppid()));
                    }
                    n0.jumpToPage(bmDownloadManagerFragment.getContext(), jumpUrl, bundle);
                }
            } else if (id == R.id.item_download_list_action) {
                if (System.currentTimeMillis() - bmDownloadManagerFragment.mLastClickTime >= 2000) {
                    bmDownloadManagerFragment.mLastClickTime = System.currentTimeMillis();
                    if (!BmNetWorkUtils.Companion.isNetworkAvailable()) {
                        BmFragmentDownloadManagerBinding bmFragmentDownloadManagerBinding = (BmFragmentDownloadManagerBinding) bmDownloadManagerFragment.getBaseBinding();
                        BaseViewHolder baseViewHolder = (BaseViewHolder) ((bmFragmentDownloadManagerBinding == null || (recyclerView = bmFragmentDownloadManagerBinding.recyclerView) == null) ? null : recyclerView.findViewHolderForAdapterPosition(i2));
                        if (baseViewHolder != null && (downloadBar = (DownloadBar) baseViewHolder.getViewOrNull(R.id.item_download_list_progressbar)) != null) {
                            downloadBar.setStatus("");
                            downloadBar.setSize("");
                        }
                    }
                    Context context = bmDownloadManagerFragment.getContext();
                    if (context != null) {
                        c1.getDenied$default(c1.INSTANCE, context, new BmDownloadManagerFragment$initAdapter$2$1$1(bVar, context), null, 4, null);
                    }
                }
            } else if (id == R.id.item_download_redownload) {
                if (bVar.getAppInfo() != null) {
                    AppInfo appInfo = bVar.getAppInfo();
                    f0.checkNotNullExpressionValue(appInfo, "item.appInfo");
                    bmDownloadManagerFragment.redownload(appInfo);
                }
            } else if (id == R.id.item_download_delete) {
                if (bVar.getAppInfo() != null) {
                    AppInfo appInfo2 = bVar.getAppInfo();
                    f0.checkNotNullExpressionValue(appInfo2, "item.appInfo");
                    bmDownloadManagerFragment.delete(appInfo2);
                }
            } else if (id == R.id.down_app_item_header_button) {
                int size = baseQuickAdapter.getData().size();
                while (i2 < size) {
                    Object obj = baseQuickAdapter.getData().get(i2);
                    f0.checkNotNull(obj, "null cannot be cast to non-null type com.joke.downframework.data.BmDownloadSection");
                    e.g.b.c.b bVar2 = (e.g.b.c.b) obj;
                    if (bVar2.getAppInfo() != null) {
                        e.g.b.c.a.deleteDownloadInfo(bVar2.getAppInfo());
                    }
                    i2++;
                }
                bmDownloadManagerFragment.refreshAdapterData();
            }
        }
    }

    private final void initData() {
        Map<Long, AppInfo> cache = e.g.b.c.a.getCache();
        f0.checkNotNull(cache, "null cannot be cast to non-null type java.util.concurrent.ConcurrentHashMap<kotlin.Long, com.joke.downframework.data.entity.AppInfo>");
        ArrayList arrayList = new ArrayList(((ConcurrentHashMap) cache).values());
        Collections.sort(arrayList, m.a);
        int size = arrayList.size();
        ArrayList arrayList2 = null;
        ArrayList arrayList3 = null;
        ArrayList arrayList4 = null;
        for (int i2 = 0; i2 < size; i2++) {
            AppInfo appInfo = (AppInfo) arrayList.get(i2);
            if (!f0.areEqual("com.android.vending", appInfo.getApppackagename()) && !f0.areEqual("com.google.android.gms", appInfo.getApppackagename())) {
                if (appInfo.getAppstatus() == 2 && getActivity() != null && !TextUtils.isEmpty(appInfo.getApppackagename()) && !e.g.b.j.d.isInstalled(getActivity(), appInfo.getApppackagename()) && !e.g.a.f.h.b.INSTANCE.isAppInstalled(appInfo.getApppackagename())) {
                    appInfo.setAppstatus(0);
                }
                if (g.isDownloaded(appInfo.getState(), appInfo.getAppstatus()) && !i.exists(appInfo.getApksavedpath())) {
                    appInfo.setAppstatus(0);
                    appInfo.setState(8);
                    e.g.b.c.a.updateAppStatus(appInfo);
                }
                if (appInfo.getAppstatus() == 1) {
                    appInfo.setAppstatus(0);
                    e.g.b.c.a.updateAppStatus(appInfo);
                }
                int appstatus = appInfo.getAppstatus();
                int state = appInfo.getState();
                if (appstatus == 2) {
                    long modListId = ((AppInfo) arrayList.get(i2)).getModListId();
                    if (modListId != 1 && modListId != 2 && modListId != 3) {
                        if (arrayList4 == null) {
                            arrayList4 = new ArrayList();
                        }
                        arrayList4.add(new e.g.b.c.b((AppInfo) arrayList.get(i2)));
                    }
                } else if (state == 5) {
                    if (arrayList3 == null) {
                        arrayList3 = new ArrayList();
                    }
                    arrayList3.add(new e.g.b.c.b((AppInfo) arrayList.get(i2)));
                } else {
                    if (arrayList2 == null) {
                        arrayList2 = new ArrayList();
                    }
                    if (appstatus != 3 || state != 7) {
                        arrayList2.add(new e.g.b.c.b((AppInfo) arrayList.get(i2)));
                    }
                }
            }
        }
        originalSort(arrayList2);
        installSort(arrayList3);
        startSort(arrayList4);
        List<e.g.b.c.b> list = this.mAppItemLists;
        if (list != null) {
            list.clear();
        }
        if (arrayList2 != null && arrayList2.size() != 0 && arrayList3 != null && arrayList3.size() != 0 && arrayList4 != null && arrayList4.size() != 0) {
            List<e.g.b.c.b> list2 = this.mAppItemLists;
            if (list2 != null) {
                list2.add(new e.g.b.c.b(true, "待安装", false));
            }
            List<e.g.b.c.b> list3 = this.mAppItemLists;
            if (list3 != null) {
                list3.addAll(arrayList3);
            }
            List<e.g.b.c.b> list4 = this.mAppItemLists;
            if (list4 != null) {
                list4.add(new e.g.b.c.b(true, "进行中", false));
            }
            List<e.g.b.c.b> list5 = this.mAppItemLists;
            if (list5 != null) {
                list5.addAll(arrayList2);
            }
            List<e.g.b.c.b> list6 = this.mAppItemLists;
            if (list6 != null) {
                list6.add(new e.g.b.c.b(true, "已安装", true));
            }
            List<e.g.b.c.b> list7 = this.mAppItemLists;
            if (list7 != null) {
                list7.addAll(arrayList4);
            }
        } else if (arrayList2 != null && arrayList2.size() != 0 && arrayList3 != null && arrayList3.size() != 0) {
            List<e.g.b.c.b> list8 = this.mAppItemLists;
            if (list8 != null) {
                list8.add(new e.g.b.c.b(true, "待安装", false));
            }
            List<e.g.b.c.b> list9 = this.mAppItemLists;
            if (list9 != null) {
                list9.addAll(arrayList3);
            }
            List<e.g.b.c.b> list10 = this.mAppItemLists;
            if (list10 != null) {
                list10.add(new e.g.b.c.b(true, "进行中", false));
            }
            List<e.g.b.c.b> list11 = this.mAppItemLists;
            if (list11 != null) {
                list11.addAll(arrayList2);
            }
        } else if (arrayList2 != null && arrayList2.size() != 0 && arrayList4 != null && arrayList4.size() != 0) {
            List<e.g.b.c.b> list12 = this.mAppItemLists;
            if (list12 != null) {
                list12.add(new e.g.b.c.b(true, "进行中", false));
            }
            List<e.g.b.c.b> list13 = this.mAppItemLists;
            if (list13 != null) {
                list13.addAll(arrayList2);
            }
            List<e.g.b.c.b> list14 = this.mAppItemLists;
            if (list14 != null) {
                list14.add(new e.g.b.c.b(true, "已安装", true));
            }
            List<e.g.b.c.b> list15 = this.mAppItemLists;
            if (list15 != null) {
                list15.addAll(arrayList4);
            }
        } else if (arrayList3 != null && arrayList3.size() != 0 && arrayList4 != null && arrayList4.size() != 0) {
            List<e.g.b.c.b> list16 = this.mAppItemLists;
            if (list16 != null) {
                list16.add(new e.g.b.c.b(true, "待安装", false));
            }
            List<e.g.b.c.b> list17 = this.mAppItemLists;
            if (list17 != null) {
                list17.addAll(arrayList3);
            }
            List<e.g.b.c.b> list18 = this.mAppItemLists;
            if (list18 != null) {
                list18.add(new e.g.b.c.b(true, "已安装", true));
            }
            List<e.g.b.c.b> list19 = this.mAppItemLists;
            if (list19 != null) {
                list19.addAll(arrayList4);
            }
        } else if (arrayList2 != null && arrayList2.size() != 0) {
            List<e.g.b.c.b> list20 = this.mAppItemLists;
            if (list20 != null) {
                list20.add(new e.g.b.c.b(true, "进行中", false));
            }
            List<e.g.b.c.b> list21 = this.mAppItemLists;
            if (list21 != null) {
                list21.addAll(arrayList2);
            }
        } else if (arrayList3 != null && arrayList3.size() != 0) {
            List<e.g.b.c.b> list22 = this.mAppItemLists;
            if (list22 != null) {
                list22.add(new e.g.b.c.b(true, "待安装", false));
            }
            List<e.g.b.c.b> list23 = this.mAppItemLists;
            if (list23 != null) {
                list23.addAll(arrayList3);
            }
        } else if (arrayList4 != null && arrayList4.size() != 0) {
            List<e.g.b.c.b> list24 = this.mAppItemLists;
            if (list24 != null) {
                list24.add(new e.g.b.c.b(true, "已安装", true));
            }
            List<e.g.b.c.b> list25 = this.mAppItemLists;
            if (list25 != null) {
                list25.addAll(arrayList4);
            }
        }
    }

    /* renamed from: initData$lambda-6  reason: not valid java name */
    public static final int m109initData$lambda6(AppInfo appInfo, AppInfo appInfo2) {
        f0.checkNotNullParameter(appInfo, "lhs");
        f0.checkNotNullParameter(appInfo2, "rhs");
        return appInfo.getState() - appInfo2.getState();
    }

    private final void installSort(List<? extends e.g.b.c.b> list) {
        if (list == null) {
            return;
        }
        Collections.sort(list, new Comparator() { // from class: e.g.b.i.c.t
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return BmDownloadManagerFragment.m110installSort$lambda8(BmDownloadManagerFragment.this, (e.g.b.c.b) obj, (e.g.b.c.b) obj2);
            }
        });
    }

    /* renamed from: installSort$lambda-8  reason: not valid java name */
    public static final int m110installSort$lambda8(BmDownloadManagerFragment bmDownloadManagerFragment, e.g.b.c.b bVar, e.g.b.c.b bVar2) {
        AppInfo appInfo;
        AppInfo appInfo2;
        f0.checkNotNullParameter(bmDownloadManagerFragment, "this$0");
        String str = null;
        String gameName = (bVar == null || (appInfo2 = bVar.getAppInfo()) == null) ? null : appInfo2.getGameName();
        if (bVar2 != null && (appInfo = bVar2.getAppInfo()) != null) {
            str = appInfo.getGameName();
        }
        return bmDownloadManagerFragment.collectionsSort(gameName, str);
    }

    @JvmStatic
    @NotNull
    public static final BmDownloadManagerFragment newInstance(@Nullable Bundle bundle) {
        return Companion.newInstance(bundle);
    }

    private final void originalSort(List<? extends e.g.b.c.b> list) {
        if (list == null) {
            return;
        }
        Collections.sort(list, new Comparator() { // from class: e.g.b.i.c.g
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return BmDownloadManagerFragment.m111originalSort$lambda7(BmDownloadManagerFragment.this, (e.g.b.c.b) obj, (e.g.b.c.b) obj2);
            }
        });
    }

    /* renamed from: originalSort$lambda-7  reason: not valid java name */
    public static final int m111originalSort$lambda7(BmDownloadManagerFragment bmDownloadManagerFragment, e.g.b.c.b bVar, e.g.b.c.b bVar2) {
        AppInfo appInfo;
        AppInfo appInfo2;
        f0.checkNotNullParameter(bmDownloadManagerFragment, "this$0");
        String str = null;
        String gameId = (bVar == null || (appInfo2 = bVar.getAppInfo()) == null) ? null : appInfo2.getGameId();
        if (bVar2 != null && (appInfo = bVar2.getAppInfo()) != null) {
            str = appInfo.getGameId();
        }
        return bmDownloadManagerFragment.collectionsSort(gameId, str);
    }

    private final void redownload(AppInfo appInfo) {
        FragmentActivity activity = getActivity();
        if (activity != null) {
            v0.a aVar = v0.Companion;
            String appname = appInfo.getAppname();
            if (appname == null) {
                appname = "";
            }
            aVar.onEvent(activity, "下载管理器-重新下载", appname);
        }
        if (BmNetWorkUtils.Companion.isNetworkAvailable()) {
            if (Companion.isWifi(getContext())) {
                if (appInfo.getState() != 5 && appInfo.getState() != 4 && appInfo.getState() != 3 && appInfo.getState() != -1 && appInfo.getState() != 8) {
                    appInfo.setDelSucceed(true);
                    e.g.b.c.a.restartDownloadInfo(appInfo);
                    return;
                }
                e.g.b.c.a.restartDownloadInfo(appInfo);
                restartDownload(appInfo);
                return;
            }
            restartShow(appInfo);
            return;
        }
        q.show(getContext(), "网络还没准备好，请先连接网络");
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void refreshAdapterData() {
        RecyclerView recyclerView;
        if (this.mAdapter != null) {
            initData();
            List<e.g.b.c.b> list = this.mAppItemLists;
            if ((list != null ? list.size() : 0) > 0) {
                BmDownloadManagerAdapter bmDownloadManagerAdapter = this.mAdapter;
                if (bmDownloadManagerAdapter != null) {
                    bmDownloadManagerAdapter.setList(this.mAppItemLists);
                    return;
                }
                return;
            }
            LayoutInflater from = LayoutInflater.from(getActivity());
            int i2 = R.layout.view_default_page_downloadlist_empty;
            BmFragmentDownloadManagerBinding bmFragmentDownloadManagerBinding = (BmFragmentDownloadManagerBinding) getBaseBinding();
            ViewParent parent = (bmFragmentDownloadManagerBinding == null || (recyclerView = bmFragmentDownloadManagerBinding.recyclerView) == null) ? null : recyclerView.getParent();
            f0.checkNotNull(parent, "null cannot be cast to non-null type android.view.ViewGroup");
            View inflate = from.inflate(i2, (ViewGroup) parent, false);
            f0.checkNotNullExpressionValue(inflate, "noDataView");
            setEmptyView(inflate);
        }
    }

    private final void restartShow(AppInfo appInfo) {
        FragmentActivity activity = getActivity();
        if (activity != null) {
            if (e.g.a.g.e.c.getIsOnlyWifiDown(activity)) {
                e.g.a.f.j.g.g.getDialogTwoBtn(activity, "目前处于非WIFI状态,您已开启只允许WIFI下载,是否关闭此开关,并允许数据流量继续下载?", new c(activity, appInfo, this)).show();
            } else {
                e.g.a.f.j.g.g.getDialogTwoBtn(activity, "检测到当前处于移动网络,继续下载将消耗流量,是否继续?", "等待WLAN", "继续", new d(activity, appInfo, this)).show();
            }
        }
    }

    private final void setEmptyView(View view) {
        List<T> data;
        BmDownloadManagerAdapter bmDownloadManagerAdapter = this.mAdapter;
        if (bmDownloadManagerAdapter != null) {
            if (bmDownloadManagerAdapter != null && (data = bmDownloadManagerAdapter.getData()) != 0) {
                data.clear();
            }
            BmDownloadManagerAdapter bmDownloadManagerAdapter2 = this.mAdapter;
            if (bmDownloadManagerAdapter2 != null) {
                bmDownloadManagerAdapter2.notifyDataSetChanged();
            }
            BmDownloadManagerAdapter bmDownloadManagerAdapter3 = this.mAdapter;
            if (bmDownloadManagerAdapter3 != null) {
                bmDownloadManagerAdapter3.setEmptyView(view);
            }
        }
    }

    private final void startSort(List<? extends e.g.b.c.b> list) {
        if (list == null) {
            return;
        }
        Collections.sort(list, new Comparator() { // from class: e.g.b.i.c.l
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return BmDownloadManagerFragment.m112startSort$lambda9(BmDownloadManagerFragment.this, (e.g.b.c.b) obj, (e.g.b.c.b) obj2);
            }
        });
    }

    /* renamed from: startSort$lambda-9  reason: not valid java name */
    public static final int m112startSort$lambda9(BmDownloadManagerFragment bmDownloadManagerFragment, e.g.b.c.b bVar, e.g.b.c.b bVar2) {
        AppInfo appInfo;
        AppInfo appInfo2;
        f0.checkNotNullParameter(bmDownloadManagerFragment, "this$0");
        String str = null;
        String iconUrl = (bVar == null || (appInfo2 = bVar.getAppInfo()) == null) ? null : appInfo2.getIconUrl();
        if (bVar2 != null && (appInfo = bVar2.getAppInfo()) != null) {
            str = appInfo.getIconUrl();
        }
        return bmDownloadManagerFragment.collectionsSort(iconUrl, str);
    }

    @Override // com.joke.chongya.basecommons.base.fragment.BaseVmFragment
    @Nullable
    public Integer getLayoutId() {
        return Integer.valueOf(R.layout.bm_fragment_download_manager);
    }

    @Override // com.joke.downframework.ui.fragments.BaseObserverLazyFragment
    public void handleExcption(@Nullable Object obj) {
        int i2;
        List<T> data;
        f0.checkNotNull(obj, "null cannot be cast to non-null type com.joke.downframework.data.entity.AppInfo");
        AppInfo appInfo = (AppInfo) obj;
        if (e.g.b.c.a.isContainId(appInfo.getAppid())) {
            BmDownloadManagerAdapter bmDownloadManagerAdapter = this.mAdapter;
            e.g.b.c.b bVar = null;
            List data2 = bmDownloadManagerAdapter != null ? bmDownloadManagerAdapter.getData() : null;
            if (data2 != null) {
                i2 = 0;
                int size = data2.size();
                while (i2 < size) {
                    if (((e.g.b.c.b) data2.get(i2)).getAppInfo() != null && appInfo.getAppid() == ((e.g.b.c.b) data2.get(i2)).getAppInfo().getAppid()) {
                        break;
                    }
                    i2++;
                }
            }
            i2 = -1;
            if (i2 != -1) {
                BmDownloadManagerAdapter bmDownloadManagerAdapter2 = this.mAdapter;
                if (bmDownloadManagerAdapter2 != null && (data = bmDownloadManagerAdapter2.getData()) != 0) {
                    bVar = (e.g.b.c.b) data.get(i2);
                }
                if (bVar != null) {
                    bVar.setAppInfo(appInfo);
                }
                BmDownloadManagerAdapter bmDownloadManagerAdapter3 = this.mAdapter;
                if (bmDownloadManagerAdapter3 != null) {
                    bmDownloadManagerAdapter3.notifyItemChanged(i2, bVar);
                }
            }
        }
    }

    @Override // com.joke.chongya.basecommons.base.fragment.LazyVmFragment
    public void lazyInit() {
        this.mAppItemLists = new ArrayList();
        this.mAdapter = new BmDownloadManagerAdapter(R.layout.bm_item_download_manager_head, R.layout.bm_item_download_manager, this.mAppItemLists);
        initAdapter();
        BmFragmentDownloadManagerBinding bmFragmentDownloadManagerBinding = (BmFragmentDownloadManagerBinding) getBaseBinding();
        RecyclerView recyclerView = bmFragmentDownloadManagerBinding != null ? bmFragmentDownloadManagerBinding.recyclerView : null;
        if (recyclerView != null) {
            recyclerView.setLayoutManager(new LinearLayoutManager(getContext()));
        }
        BmFragmentDownloadManagerBinding bmFragmentDownloadManagerBinding2 = (BmFragmentDownloadManagerBinding) getBaseBinding();
        RecyclerView recyclerView2 = bmFragmentDownloadManagerBinding2 != null ? bmFragmentDownloadManagerBinding2.recyclerView : null;
        if (recyclerView2 != null) {
            recyclerView2.setAdapter(this.mAdapter);
        }
        refreshAdapterData();
    }

    @Override // com.joke.downframework.ui.fragments.BaseObserverLazyFragment, androidx.fragment.app.Fragment
    public void onCreate(@Nullable Bundle bundle) {
        super.onCreate(bundle);
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public final void onDeletResumDownloadEvent(@Nullable DeletTaskResumDownloadEvent deletTaskResumDownloadEvent) {
        if ((deletTaskResumDownloadEvent != null ? deletTaskResumDownloadEvent.obj : null) != null) {
            Object obj = deletTaskResumDownloadEvent.obj;
            f0.checkNotNull(obj, "null cannot be cast to non-null type com.joke.downframework.data.entity.AppInfo");
            AppInfo appInfo = (AppInfo) obj;
            if (this.mAdapter != null) {
                appInfo.setDelSucceed(false);
                appInfo.setState(-1);
                if (BmNetWorkUtils.Companion.isMobileData()) {
                    appInfo.setIs4GDownload(true);
                }
                restartDownload(appInfo);
            }
        }
    }

    @Subscribe
    public final void onRestart(@NotNull e.g.a.h.g.d dVar) {
        f0.checkNotNullParameter(dVar, "event");
        refreshAdapterData();
    }

    @Subscribe
    public final void onUnInstallApp(@Nullable UnInstallAppEvent unInstallAppEvent) {
        refreshAdapterData();
    }

    public final void restartDownload(@Nullable AppInfo appInfo) {
        AppInfo updateAppInfoDownStatus = e.g.b.c.a.updateAppInfoDownStatus(appInfo);
        if (updateAppInfoDownStatus != null) {
            updateAppInfoDownStatus.setAppstatus(0);
        }
        e.getInstance().down(getContext(), updateAppInfoDownStatus, true);
        refreshAdapterData();
    }

    @Override // com.joke.downframework.ui.fragments.BaseObserverLazyFragment
    public int updateProgress(@Nullable Object obj) {
        int i2;
        List<T> data;
        f0.checkNotNull(obj, "null cannot be cast to non-null type com.joke.downframework.data.entity.AppInfo");
        AppInfo appInfo = (AppInfo) obj;
        if (e.g.b.c.a.isContainId(appInfo.getAppid())) {
            if (appInfo.getProgress() != 100 && appInfo.getState() != 5) {
                if (appInfo.getProgress() == 0 && appInfo.getAppstatus() == 3 && appInfo.getModListId() != 0) {
                    refreshAdapterData();
                } else {
                    BmDownloadManagerAdapter bmDownloadManagerAdapter = this.mAdapter;
                    e.g.b.c.b bVar = null;
                    List data2 = bmDownloadManagerAdapter != null ? bmDownloadManagerAdapter.getData() : null;
                    if (data2 != null) {
                        int size = data2.size();
                        i2 = 0;
                        while (i2 < size) {
                            if (((e.g.b.c.b) data2.get(i2)).getAppInfo() != null && appInfo.getAppid() == ((e.g.b.c.b) data2.get(i2)).getAppInfo().getAppid()) {
                                break;
                            }
                            i2++;
                        }
                    }
                    i2 = -1;
                    if (i2 != -1) {
                        BmDownloadManagerAdapter bmDownloadManagerAdapter2 = this.mAdapter;
                        if (bmDownloadManagerAdapter2 != null && (data = bmDownloadManagerAdapter2.getData()) != 0) {
                            bVar = (e.g.b.c.b) data.get(i2);
                        }
                        if (bVar != null) {
                            bVar.setAppInfo(appInfo);
                        }
                        BmDownloadManagerAdapter bmDownloadManagerAdapter3 = this.mAdapter;
                        if (bmDownloadManagerAdapter3 != null) {
                            bmDownloadManagerAdapter3.notifyItemChanged(i2, bVar);
                        }
                    }
                }
            } else {
                refreshAdapterData();
            }
            return 0;
        }
        return 0;
    }
}
