package com.joke.downframework.ui.fragments;

import android.app.Activity;
import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Bundle;
import android.os.Message;
import android.text.TextUtils;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import androidx.appcompat.widget.TooltipCompatHandler;
import androidx.core.graphics.drawable.IconCompat;
import androidx.fragment.app.FragmentActivity;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.listener.OnItemChildClickListener;
import com.joke.chongya.basecommons.base.BaseApplication;
import com.joke.chongya.basecommons.view.dialog.BmCommonDialog;
import com.joke.chongya.download.utils.BmNetWorkUtils;
import com.joke.chongya.mvp.ui.activity.download.DownloadManagerActivity;
import com.joke.downframework.data.entity.AppInfo;
import com.joke.downframework.data.entity.DeletTaskResumDownloadEvent;
import com.joke.downframework.data.entity.UnInstallAppEvent;
import com.joke.downframework.ui.adapter.CyDownloadManagerAdapter;
import com.joke.downframework.ui.fragments.CyDownloadManagerFragment;
import com.joke.downloadframework.R;
import com.joke.downloadframework.databinding.BmFragmentDownloadManagerBinding;
import com.ss.android.socialbase.downloader.constants.DBDefinition;
import e.g.a.f.e.a;
import e.g.a.f.i.c1;
import e.g.a.f.i.l;
import e.g.a.f.i.m;
import e.g.a.f.i.q;
import e.g.a.f.i.v0;
import e.g.b.i.c.o;
import e.g.b.j.g;
import e.g.b.j.i;
import j.g1.y;
import j.p1.c.f0;
import j.p1.c.u;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import kotlin.Metadata;
import kotlin.collections.CollectionsKt___CollectionsKt;
import kotlin.jvm.JvmStatic;
import kotlin.text.StringsKt__StringsKt;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
/* compiled from: AAA */
@Metadata(d1 = {"\u0000\u0084\u0001\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010\t\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010!\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0010\u0000\n\u0002\b\u0005\n\u0002\u0010 \n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\t\n\u0002\u0018\u0002\n\u0002\b\u0006\u0018\u0000 H2\b\u0012\u0004\u0012\u00020\u00020\u0001:\u0001HB\u0005¢\u0006\u0002\u0010\u0003J\u001c\u0010\u0012\u001a\u00020\u00132\b\u0010\u0014\u001a\u0004\u0018\u00010\u00152\b\u0010\u0016\u001a\u0004\u0018\u00010\u0015H\u0002J\u0010\u0010\u0017\u001a\u00020\u00182\u0006\u0010\u0019\u001a\u00020\u001aH\u0002J \u0010\u001b\u001a\u00020\u00052\b\u0010\u001c\u001a\u0004\u0018\u00010\u00152\f\u0010\u001d\u001a\b\u0012\u0004\u0012\u00020\u00100\u000fH\u0002J\u000f\u0010\u001e\u001a\u0004\u0018\u00010\u0013H\u0016¢\u0006\u0002\u0010\u001fJ\u0012\u0010 \u001a\u00020\u00182\b\u0010!\u001a\u0004\u0018\u00010\"H\u0016J\b\u0010#\u001a\u00020\u0018H\u0002J\b\u0010$\u001a\u00020\u0018H\u0002J\u000e\u0010%\u001a\b\u0012\u0004\u0012\u00020\u00100\u000fH\u0002J\u001a\u0010&\u001a\u00020\u00182\u0010\u0010'\u001a\f\u0012\u0006\u0012\u0004\u0018\u00010\u0010\u0018\u00010(H\u0002J\b\u0010)\u001a\u00020\u0018H\u0016J\u0018\u0010*\u001a\u00020\u00182\u000e\u0010+\u001a\n\u0012\u0004\u0012\u00020\u0010\u0018\u00010\u000fH\u0002J \u0010,\u001a\u00020\u00182\u0006\u0010-\u001a\u00020\u00152\u000e\u0010+\u001a\n\u0012\u0004\u0012\u00020\u0010\u0018\u00010\u000fH\u0002J\u0012\u0010.\u001a\u00020\u00182\b\u0010/\u001a\u0004\u0018\u000100H\u0016J\u0012\u00101\u001a\u00020\u00182\b\u00102\u001a\u0004\u0018\u000103H\u0007J\b\u00104\u001a\u00020\u0018H\u0016J\u0010\u00105\u001a\u00020\u00182\u0006\u00102\u001a\u000206H\u0007J\u0012\u00107\u001a\u00020\u00182\b\u00108\u001a\u0004\u0018\u000109H\u0007J\u001a\u0010:\u001a\u00020\u00182\u0010\u0010;\u001a\f\u0012\u0006\u0012\u0004\u0018\u00010\u0010\u0018\u00010(H\u0002J\u0010\u0010<\u001a\u00020\u00182\u0006\u0010=\u001a\u00020\u001aH\u0002J\b\u0010>\u001a\u00020\u0018H\u0002J\u0010\u0010?\u001a\u00020\u00182\b\u0010=\u001a\u0004\u0018\u00010\u001aJ\u0010\u0010@\u001a\u00020\u00182\u0006\u0010=\u001a\u00020\u001aH\u0002J\u0010\u0010A\u001a\u00020\u00182\u0006\u0010B\u001a\u00020CH\u0002J\u001a\u0010D\u001a\u00020\u00182\u0010\u0010E\u001a\f\u0012\u0006\u0012\u0004\u0018\u00010\u0010\u0018\u00010(H\u0002J\u001a\u0010F\u001a\u00020\u00182\u0010\u0010;\u001a\f\u0012\u0006\u0012\u0004\u0018\u00010\u0010\u0018\u00010(H\u0002J\u0012\u0010G\u001a\u00020\u00132\b\u0010!\u001a\u0004\u0018\u00010\"H\u0016R\u000e\u0010\u0004\u001a\u00020\u0005X\u0082\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\u0006\u001a\u00020\u0007X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\b\u0010\t\"\u0004\b\n\u0010\u000bR\u0010\u0010\f\u001a\u0004\u0018\u00010\rX\u0082\u000e¢\u0006\u0002\n\u0000R\u0016\u0010\u000e\u001a\n\u0012\u0004\u0012\u00020\u0010\u0018\u00010\u000fX\u0082\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\u0011\u001a\u00020\u0007X\u0082\u000e¢\u0006\u0002\n\u0000¨\u0006I"}, d2 = {"Lcom/joke/downframework/ui/fragments/CyDownloadManagerFragment;", "Lcom/joke/downframework/ui/fragments/BaseObserverLazyFragment;", "Lcom/joke/downloadframework/databinding/BmFragmentDownloadManagerBinding;", "()V", "isDownloadedShow", "", "lastHandlerSuccessTime", "", "getLastHandlerSuccessTime", "()J", "setLastHandlerSuccessTime", "(J)V", "mAdapter", "Lcom/joke/downframework/ui/adapter/CyDownloadManagerAdapter;", "mAppItemLists", "", "Lcom/joke/downframework/data/BmDownloadSection;", "mLastClickTime", "collectionsSort", "", "str", "", "str1", e.b.b.a.a.f.f.SUBRESOURCE_DELETE, "", "clickInfo", "Lcom/joke/downframework/data/entity/AppInfo;", "findSamePackageNameInList", DBDefinition.PACKAGE_NAME, "sandboxList", "getLayoutId", "()Ljava/lang/Integer;", "handleExcption", IconCompat.EXTRA_OBJ, "", "initAdapter", "initData", "initSandboxData", "installSort", "install", "", "lazyInit", "logDownloadInfo", "list", "logSandboxInfo", "tag", "onCreate", "savedInstanceState", "Landroid/os/Bundle;", "onDeletResumDownloadEvent", "event", "Lcom/joke/downframework/data/entity/DeletTaskResumDownloadEvent;", "onDestroy", "onRestart", "Lcom/joke/chongya/forum/event/NotifyRestartDownloadEvent;", "onUnInstallApp", "installApp", "Lcom/joke/downframework/data/entity/UnInstallAppEvent;", "originalSort", "original", "redownload", e.g.a.g.a.EXTRA_LOADING_APP_INFO, "refreshAdapterData", "restartDownload", "restartShow", "setEmptyView", "view", "Landroid/view/View;", "startSort", "start", "timeSort", "updateProgress", "Companion", "downloadFramework_release"}, k = 1, mv = {1, 7, 1}, xi = 48)
/* loaded from: classes.dex */
public final class CyDownloadManagerFragment extends BaseObserverLazyFragment<BmFragmentDownloadManagerBinding> {
    @NotNull
    public static final a Companion = new a(null);
    public static final int FAST_CLICK_DELAY_TIME = 2000;
    public boolean isDownloadedShow;
    public long lastHandlerSuccessTime;
    @Nullable
    public CyDownloadManagerAdapter mAdapter;
    @Nullable
    public List<e.g.b.c.b> mAppItemLists;
    public long mLastClickTime;

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static final class a {
        public a() {
        }

        public /* synthetic */ a(u uVar) {
            this();
        }

        /* JADX INFO: Access modifiers changed from: private */
        public final boolean isWifi(Context context) {
            Object systemService = context != null ? context.getSystemService("connectivity") : null;
            f0.checkNotNull(systemService, "null cannot be cast to non-null type android.net.ConnectivityManager");
            NetworkInfo activeNetworkInfo = ((ConnectivityManager) systemService).getActiveNetworkInfo();
            return activeNetworkInfo != null && activeNetworkInfo.getType() == 1;
        }

        @JvmStatic
        @NotNull
        public final CyDownloadManagerFragment newInstance(@Nullable Bundle bundle) {
            CyDownloadManagerFragment cyDownloadManagerFragment = new CyDownloadManagerFragment();
            cyDownloadManagerFragment.setArguments(bundle);
            return cyDownloadManagerFragment;
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static final class b implements BmCommonDialog.b {
        public final /* synthetic */ AppInfo $clickInfo;
        public final /* synthetic */ FragmentActivity $it;
        public final /* synthetic */ CyDownloadManagerFragment this$0;

        public b(FragmentActivity fragmentActivity, AppInfo appInfo, CyDownloadManagerFragment cyDownloadManagerFragment) {
            this.$it = fragmentActivity;
            this.$clickInfo = appInfo;
            this.this$0 = cyDownloadManagerFragment;
        }

        @Override // com.joke.chongya.basecommons.view.dialog.BmCommonDialog.b
        public void onViewClick(@Nullable BmCommonDialog bmCommonDialog, int i2) {
            DownloadManagerActivity downloadManagerActivity;
            if (i2 == 3) {
                v0.a aVar = v0.Companion;
                FragmentActivity fragmentActivity = this.$it;
                String appname = this.$clickInfo.getAppname();
                if (appname == null) {
                    appname = "";
                }
                aVar.onEvent(fragmentActivity, "下载管理器-删除", appname);
                e.g.b.c.a.deleteDownloadInfo(this.$clickInfo);
                this.this$0.refreshAdapterData();
                this.$clickInfo.setState(-1);
                this.$clickInfo.setProgress(0);
                EventBus.getDefault().postSticky(new e.g.a.h.g.c(this.$clickInfo));
                if (this.this$0.getContext() == null || (downloadManagerActivity = (DownloadManagerActivity) this.this$0.getContext()) == null) {
                    return;
                }
                downloadManagerActivity.downloadUpdate();
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static final class c<T> implements Comparator {
        @Override // java.util.Comparator
        public final int compare(T t, T t2) {
            return j.h1.b.compareValues(Long.valueOf(((e.g.b.c.b) t2).getStartUpTime(BaseApplication.Companion.getBaseApplication())), Long.valueOf(((e.g.b.c.b) t).getStartUpTime(BaseApplication.Companion.getBaseApplication())));
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static final class d<T> implements Comparator {
        @Override // java.util.Comparator
        public final int compare(T t, T t2) {
            return j.h1.b.compareValues(((e.g.b.c.b) t2).getAppInfo().getSandBoxAppName(), ((e.g.b.c.b) t).getAppInfo().getSandBoxAppName());
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static final class e implements BmCommonDialog.b {
        public final /* synthetic */ AppInfo $appInfo;
        public final /* synthetic */ FragmentActivity $it;
        public final /* synthetic */ CyDownloadManagerFragment this$0;

        public e(FragmentActivity fragmentActivity, AppInfo appInfo, CyDownloadManagerFragment cyDownloadManagerFragment) {
            this.$it = fragmentActivity;
            this.$appInfo = appInfo;
            this.this$0 = cyDownloadManagerFragment;
        }

        @Override // com.joke.chongya.basecommons.view.dialog.BmCommonDialog.b
        public void onViewClick(@Nullable BmCommonDialog bmCommonDialog, int i2) {
            if (i2 == 2) {
                this.$appInfo.setRestartDownload(false);
                this.$appInfo.setIs4GDownload(false);
            } else if (i2 != 3) {
            } else {
                v0.a aVar = v0.Companion;
                FragmentActivity fragmentActivity = this.$it;
                String appname = this.$appInfo.getAppname();
                if (appname == null) {
                    appname = "";
                }
                aVar.onEvent(fragmentActivity, "下载管理器-4G网络重新下载", appname);
                FragmentActivity fragmentActivity2 = this.$it;
                f0.checkNotNullExpressionValue(fragmentActivity2, "it");
                e.g.a.g.e.c.setIsOnlyWifiDown(fragmentActivity2, false);
                this.$appInfo.setRestartDownload(true);
                if (this.$appInfo.getState() != 5 && this.$appInfo.getState() != 4 && this.$appInfo.getState() != 3 && this.$appInfo.getState() != -1 && this.$appInfo.getState() != 8) {
                    this.$appInfo.setDelSucceed(true);
                    e.g.b.c.a.restartDownloadInfo(this.$appInfo);
                    return;
                }
                e.g.b.c.a.restartDownloadInfo(this.$appInfo);
                this.$appInfo.setIs4GDownload(true);
                this.this$0.restartDownload(this.$appInfo);
            }
        }
    }

    /* compiled from: AAA */
    /* loaded from: classes2.dex */
    public static final class f implements BmCommonDialog.b {
        public final /* synthetic */ AppInfo $appInfo;
        public final /* synthetic */ FragmentActivity $it;
        public final /* synthetic */ CyDownloadManagerFragment this$0;

        public f(FragmentActivity fragmentActivity, AppInfo appInfo, CyDownloadManagerFragment cyDownloadManagerFragment) {
            this.$it = fragmentActivity;
            this.$appInfo = appInfo;
            this.this$0 = cyDownloadManagerFragment;
        }

        @Override // com.joke.chongya.basecommons.view.dialog.BmCommonDialog.b
        public void onViewClick(@Nullable BmCommonDialog bmCommonDialog, int i2) {
            if (i2 == 2) {
                this.$appInfo.setRestartDownload(false);
                this.$appInfo.setIs4GDownload(false);
            } else if (i2 != 3) {
            } else {
                v0.a aVar = v0.Companion;
                FragmentActivity fragmentActivity = this.$it;
                String appname = this.$appInfo.getAppname();
                if (appname == null) {
                    appname = "";
                }
                aVar.onEvent(fragmentActivity, "下载管理器-4G网络重新下载", appname);
                this.$appInfo.setRestartDownload(true);
                if (this.$appInfo.getState() != 5 && this.$appInfo.getState() != 4 && this.$appInfo.getState() != 3 && this.$appInfo.getState() != -1 && this.$appInfo.getState() != 8) {
                    this.$appInfo.setDelSucceed(true);
                    e.g.b.c.a.restartDownloadInfo(this.$appInfo);
                    return;
                }
                e.g.b.c.a.restartDownloadInfo(this.$appInfo);
                this.$appInfo.setIs4GDownload(true);
                this.this$0.restartDownload(this.$appInfo);
            }
        }
    }

    private final int collectionsSort(String str, String str2) {
        long stringToLong = e.g.a.g.e.d.getStringToLong(str, 0L) - e.g.a.g.e.d.getStringToLong(str2, 0L);
        if (stringToLong > 0) {
            return -1;
        }
        return stringToLong == 0 ? 0 : 1;
    }

    private final void delete(AppInfo appInfo) {
        int appstatus = appInfo.getAppstatus();
        int state = appInfo.getState();
        EventBus.getDefault().post(new e.g.a.f.f.a(Long.valueOf(appInfo.getAppid()), false));
        if (g.INSTANCE.isStartable(state, appstatus)) {
            if (e.g.b.c.a.isContainId(appInfo.getAppid())) {
                e.g.b.c.a.deleteDownloadInfo(appInfo);
            }
            refreshAdapterData();
            return;
        }
        FragmentActivity activity = getActivity();
        if (activity != null) {
            e.g.a.f.j.g.g.getDialogTwoBtn(activity, "删除任务将同时删除已下载的本地文件,确定删除？", new b(activity, appInfo, this)).show();
        }
    }

    private final boolean findSamePackageNameInList(String str, List<e.g.b.c.b> list) {
        for (e.g.b.c.b bVar : list) {
            AppInfo appInfo = bVar.getAppInfo();
            if (f0.areEqual(appInfo != null ? appInfo.getSandBoxAppPackageName() : null, str)) {
                return true;
            }
            AppInfo appInfo2 = bVar.getAppInfo();
            if (f0.areEqual(appInfo2 != null ? appInfo2.getPackageName() : null, str)) {
                return true;
            }
        }
        return false;
    }

    private final void initAdapter() {
        CyDownloadManagerAdapter cyDownloadManagerAdapter = this.mAdapter;
        if (cyDownloadManagerAdapter != null) {
            cyDownloadManagerAdapter.addChildClickViewIds(R.id.iv_more, R.id.tv_start_up_game);
        }
        CyDownloadManagerAdapter cyDownloadManagerAdapter2 = this.mAdapter;
        if (cyDownloadManagerAdapter2 != null) {
            cyDownloadManagerAdapter2.setOnItemChildClickListener(new OnItemChildClickListener() { // from class: e.g.b.i.c.q
                @Override // com.chad.library.adapter.base.listener.OnItemChildClickListener
                public final void onItemChildClick(BaseQuickAdapter baseQuickAdapter, View view, int i2) {
                    CyDownloadManagerFragment.m113initAdapter$lambda4(CyDownloadManagerFragment.this, baseQuickAdapter, view, i2);
                }
            });
        }
    }

    /* renamed from: initAdapter$lambda-4  reason: not valid java name */
    public static final void m113initAdapter$lambda4(final CyDownloadManagerFragment cyDownloadManagerFragment, BaseQuickAdapter baseQuickAdapter, View view, int i2) {
        f0.checkNotNullParameter(cyDownloadManagerFragment, "this$0");
        f0.checkNotNullParameter(baseQuickAdapter, "adapter");
        f0.checkNotNullParameter(view, "view");
        int id = view.getId();
        final e.g.b.c.b bVar = (e.g.b.c.b) baseQuickAdapter.getData().get(i2);
        if (bVar != null) {
            if (id == R.id.iv_more) {
                if (bVar.isSandboxApp()) {
                    e.g.a.f.l.c.showPopup(view, cyDownloadManagerFragment.getContext(), "删除游戏", new e.g.a.g.d.c() { // from class: e.g.b.i.c.h
                        @Override // e.g.a.g.d.c
                        public final void onResult(Object obj) {
                            CyDownloadManagerFragment.m114initAdapter$lambda4$lambda0(e.g.b.c.b.this, cyDownloadManagerFragment, (Integer) obj);
                        }
                    });
                    return;
                }
                bVar.getAppInfo().getProgress();
                e.g.a.f.l.c.showPopup(view, cyDownloadManagerFragment.getContext(), bVar.getAppInfo().getState() != 5 ? "取消任务" : "删除游戏", new e.g.a.g.d.c() { // from class: e.g.b.i.c.p
                    @Override // e.g.a.g.d.c
                    public final void onResult(Object obj) {
                        CyDownloadManagerFragment.m115initAdapter$lambda4$lambda1(e.g.b.c.b.this, cyDownloadManagerFragment, (Integer) obj);
                    }
                });
            } else if (id == R.id.tv_start_up_game) {
                if (bVar.isSandboxApp()) {
                    Bundle bundle = new Bundle();
                    bundle.putString(e.g.a.g.a.EXTRA_LOADING_APP_INFO_PACKAGE_NAME, bVar.getAppInfo().getSandBoxAppPackageName());
                    bundle.putString(e.g.a.g.a.EXTRA_LOADING_APP_TYPE, e.g.a.g.a.EXTRA_LOADING_APP_TYPE_DOWNLOAD);
                    bundle.putBoolean(e.g.a.g.a.EXTRA_LOADING_APP_IS_32_APK, bVar.getAppInfo().is64apk() == 2);
                    Long sandBoxAppId = bVar.getAppInfo().getSandBoxAppId();
                    bundle.putLong(e.g.a.g.a.EXTRA_LOADING_APP_INFO_ID, sandBoxAppId != null ? sandBoxAppId.longValue() : 0L);
                    l.Companion.byPathParams(bundle, a.C0253a.GAME_LOADING_PROGRESS_ACTIVITY);
                    return;
                }
                Activity baseActivity = cyDownloadManagerFragment.getBaseActivity();
                if (baseActivity != null) {
                    c1.getDenied$default(c1.INSTANCE, baseActivity, new CyDownloadManagerFragment$initAdapter$1$4$1(bVar, cyDownloadManagerFragment), null, 4, null);
                }
            }
        }
    }

    /* renamed from: initAdapter$lambda-4$lambda-0  reason: not valid java name */
    public static final void m114initAdapter$lambda4$lambda0(e.g.b.c.b bVar, CyDownloadManagerFragment cyDownloadManagerFragment, Integer num) {
        f0.checkNotNullParameter(cyDownloadManagerFragment, "this$0");
        if (bVar.getAppInfo() != null) {
            Message message = new Message();
            message.what = e.g.a.f.h.b.MESSAGE_EVENT_UNINSTALL_ITEM;
            message.obj = bVar.getAppInfo();
            EventBus.getDefault().post(message);
            CyDownloadManagerAdapter cyDownloadManagerAdapter = cyDownloadManagerFragment.mAdapter;
            if (cyDownloadManagerAdapter != null) {
                cyDownloadManagerAdapter.remove((CyDownloadManagerAdapter) bVar);
            }
        }
    }

    /* renamed from: initAdapter$lambda-4$lambda-1  reason: not valid java name */
    public static final void m115initAdapter$lambda4$lambda1(e.g.b.c.b bVar, CyDownloadManagerFragment cyDownloadManagerFragment, Integer num) {
        f0.checkNotNullParameter(cyDownloadManagerFragment, "this$0");
        if (bVar.getAppInfo() != null) {
            AppInfo appInfo = bVar.getAppInfo();
            f0.checkNotNullExpressionValue(appInfo, "item.appInfo");
            cyDownloadManagerFragment.delete(appInfo);
        }
    }

    private final void initData() {
        Map<Long, AppInfo> cache = e.g.b.c.a.getCache();
        f0.checkNotNull(cache, "null cannot be cast to non-null type java.util.concurrent.ConcurrentHashMap<kotlin.Long, com.joke.downframework.data.entity.AppInfo>");
        ArrayList arrayList = new ArrayList(((ConcurrentHashMap) cache).values());
        Collections.sort(arrayList, o.a);
        ArrayList arrayList2 = new ArrayList();
        List<e.g.b.c.b> initSandboxData = initSandboxData();
        int size = arrayList.size();
        for (int i2 = 0; i2 < size; i2++) {
            AppInfo appInfo = (AppInfo) arrayList.get(i2);
            if (!f0.areEqual("com.android.vending", appInfo.getApppackagename()) && !f0.areEqual("com.google.android.gms", appInfo.getApppackagename())) {
                if (appInfo.getAppstatus() == 2 && getActivity() != null && !TextUtils.isEmpty(appInfo.getApppackagename()) && !e.g.b.j.d.isInstalled(getActivity(), appInfo.getApppackagename()) && !e.g.a.f.h.b.INSTANCE.isAppInstalled(appInfo.getApppackagename())) {
                    appInfo.setAppstatus(0);
                }
                if (g.isDownloaded(appInfo.getState(), appInfo.getAppstatus()) && !i.exists(appInfo.getApksavedpath())) {
                    appInfo.setAppstatus(0);
                    appInfo.setState(8);
                    e.g.b.c.a.updateAppStatus(appInfo);
                }
                if (appInfo.getAppstatus() == 1) {
                    appInfo.setAppstatus(0);
                    e.g.b.c.a.updateAppStatus(appInfo);
                }
                appInfo.getAppstatus();
                appInfo.getState();
                if (findSamePackageNameInList(((AppInfo) arrayList.get(i2)).getApppackagename(), initSandboxData)) {
                    e.g.b.c.a.deleteDownloadInfo(appInfo, false);
                } else {
                    arrayList2.add(new e.g.b.c.b((AppInfo) arrayList.get(i2)));
                }
            }
        }
        List<e.g.b.c.b> list = this.mAppItemLists;
        if (list != null) {
            list.clear();
        }
        ArrayList arrayList3 = new ArrayList();
        arrayList3.addAll(initSandboxData);
        arrayList3.addAll(arrayList2);
        if (arrayList3.size() > 1) {
            y.sortWith(arrayList3, new c());
        }
        List<e.g.b.c.b> list2 = this.mAppItemLists;
        if (list2 != null) {
            list2.addAll(arrayList3);
        }
    }

    /* renamed from: initData$lambda-7  reason: not valid java name */
    public static final int m116initData$lambda7(AppInfo appInfo, AppInfo appInfo2) {
        f0.checkNotNullParameter(appInfo, "lhs");
        f0.checkNotNullParameter(appInfo2, "rhs");
        return appInfo.getState() - appInfo2.getState();
    }

    private final List<e.g.b.c.b> initSandboxData() {
        List<AppInfo> appInfoListFormSandBox = e.g.a.f.h.b.INSTANCE.getAppInfoListFormSandBox();
        ArrayList arrayList = new ArrayList();
        if (appInfoListFormSandBox != null) {
            for (AppInfo appInfo : appInfoListFormSandBox) {
                arrayList.add(new e.g.b.c.b(true, appInfo));
            }
        }
        List sortedWith = CollectionsKt___CollectionsKt.sortedWith(arrayList, new d());
        HashSet hashSet = new HashSet();
        ArrayList arrayList2 = new ArrayList();
        for (Object obj : sortedWith) {
            if (hashSet.add(((e.g.b.c.b) obj).getAppInfo().getSandBoxAppPackageName())) {
                arrayList2.add(obj);
            }
        }
        return CollectionsKt___CollectionsKt.toMutableList((Collection) arrayList2);
    }

    private final void installSort(List<? extends e.g.b.c.b> list) {
        if (list == null) {
            return;
        }
        Collections.sort(list, new Comparator() { // from class: e.g.b.i.c.n
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return CyDownloadManagerFragment.m117installSort$lambda16(CyDownloadManagerFragment.this, (e.g.b.c.b) obj, (e.g.b.c.b) obj2);
            }
        });
    }

    /* renamed from: installSort$lambda-16  reason: not valid java name */
    public static final int m117installSort$lambda16(CyDownloadManagerFragment cyDownloadManagerFragment, e.g.b.c.b bVar, e.g.b.c.b bVar2) {
        AppInfo appInfo;
        AppInfo appInfo2;
        f0.checkNotNullParameter(cyDownloadManagerFragment, "this$0");
        String str = null;
        String gameName = (bVar == null || (appInfo2 = bVar.getAppInfo()) == null) ? null : appInfo2.getGameName();
        if (bVar2 != null && (appInfo = bVar2.getAppInfo()) != null) {
            str = appInfo.getGameName();
        }
        return cyDownloadManagerFragment.collectionsSort(gameName, str);
    }

    private final void logDownloadInfo(List<e.g.b.c.b> list) {
        if (list == null) {
            return;
        }
        Log.i(e.g.a.g.a.LOG_TAG, "=========================");
        for (e.g.b.c.b bVar : list) {
            Log.i(e.g.a.g.a.LOG_TAG, "下载数据: " + bVar.getAppInfo().getAppname() + ", " + bVar.getAppInfo().getSandBoxAppName());
            Log.i(e.g.a.g.a.LOG_TAG, "pkgName" + bVar.getAppInfo().getApppackagename() + ", " + bVar.getAppInfo().getSandBoxAppPackageName());
        }
        Log.i(e.g.a.g.a.LOG_TAG, "=========================");
    }

    private final void logSandboxInfo(String str, List<e.g.b.c.b> list) {
        if (list == null) {
            return;
        }
        Log.i(e.g.a.g.a.LOG_TAG, "-------------------------");
        for (e.g.b.c.b bVar : list) {
            Log.i(e.g.a.g.a.LOG_TAG, "沙盒" + str + ": " + bVar.getAppInfo().getAppname() + ", " + bVar.getAppInfo().getSandBoxAppName());
            StringBuilder sb = new StringBuilder();
            sb.append("pkgName");
            sb.append(bVar.getAppInfo().getApppackagename());
            sb.append(", ");
            sb.append(bVar.getAppInfo().getSandBoxAppPackageName());
            Log.i(e.g.a.g.a.LOG_TAG, sb.toString());
        }
        Log.i(e.g.a.g.a.LOG_TAG, "-------------------------");
    }

    @JvmStatic
    @NotNull
    public static final CyDownloadManagerFragment newInstance(@Nullable Bundle bundle) {
        return Companion.newInstance(bundle);
    }

    private final void originalSort(List<? extends e.g.b.c.b> list) {
        if (list == null) {
            return;
        }
        Collections.sort(list, new Comparator() { // from class: e.g.b.i.c.f
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return CyDownloadManagerFragment.m118originalSort$lambda15(CyDownloadManagerFragment.this, (e.g.b.c.b) obj, (e.g.b.c.b) obj2);
            }
        });
    }

    /* renamed from: originalSort$lambda-15  reason: not valid java name */
    public static final int m118originalSort$lambda15(CyDownloadManagerFragment cyDownloadManagerFragment, e.g.b.c.b bVar, e.g.b.c.b bVar2) {
        AppInfo appInfo;
        AppInfo appInfo2;
        f0.checkNotNullParameter(cyDownloadManagerFragment, "this$0");
        String str = null;
        String gameId = (bVar == null || (appInfo2 = bVar.getAppInfo()) == null) ? null : appInfo2.getGameId();
        if (bVar2 != null && (appInfo = bVar2.getAppInfo()) != null) {
            str = appInfo.getGameId();
        }
        return cyDownloadManagerFragment.collectionsSort(gameId, str);
    }

    private final void redownload(AppInfo appInfo) {
        FragmentActivity activity = getActivity();
        if (activity != null) {
            v0.a aVar = v0.Companion;
            String appname = appInfo.getAppname();
            if (appname == null) {
                appname = "";
            }
            aVar.onEvent(activity, "下载管理器-重新下载", appname);
        }
        if (BmNetWorkUtils.Companion.isNetworkAvailable()) {
            if (Companion.isWifi(getContext())) {
                if (appInfo.getState() != 5 && appInfo.getState() != 4 && appInfo.getState() != 3 && appInfo.getState() != -1 && appInfo.getState() != 8) {
                    appInfo.setDelSucceed(true);
                    e.g.b.c.a.restartDownloadInfo(appInfo);
                    return;
                }
                e.g.b.c.a.restartDownloadInfo(appInfo);
                restartDownload(appInfo);
                return;
            }
            restartShow(appInfo);
            return;
        }
        q.show(getContext(), "网络还没准备好，请先连接网络");
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void refreshAdapterData() {
        RecyclerView recyclerView;
        if (this.mAdapter != null) {
            initData();
            List<e.g.b.c.b> list = this.mAppItemLists;
            if ((list != null ? list.size() : 0) > 0) {
                CyDownloadManagerAdapter cyDownloadManagerAdapter = this.mAdapter;
                if (cyDownloadManagerAdapter != null) {
                    cyDownloadManagerAdapter.setList(this.mAppItemLists);
                    return;
                }
                return;
            }
            LayoutInflater from = LayoutInflater.from(getActivity());
            int i2 = R.layout.view_default_page_downloadlist_empty;
            BmFragmentDownloadManagerBinding bmFragmentDownloadManagerBinding = (BmFragmentDownloadManagerBinding) getBaseBinding();
            ViewParent parent = (bmFragmentDownloadManagerBinding == null || (recyclerView = bmFragmentDownloadManagerBinding.recyclerView) == null) ? null : recyclerView.getParent();
            f0.checkNotNull(parent, "null cannot be cast to non-null type android.view.ViewGroup");
            View inflate = from.inflate(i2, (ViewGroup) parent, false);
            f0.checkNotNullExpressionValue(inflate, "noDataView");
            setEmptyView(inflate);
        }
    }

    private final void restartShow(AppInfo appInfo) {
        FragmentActivity activity = getActivity();
        if (activity != null) {
            if (e.g.a.g.e.c.getIsOnlyWifiDown(activity)) {
                e.g.a.f.j.g.g.getDialogTwoBtn(activity, "目前处于非WIFI状态,您已开启只允许WIFI下载,是否关闭此开关,并允许数据流量继续下载?", new e(activity, appInfo, this)).show();
            } else {
                e.g.a.f.j.g.g.getDialogTwoBtn(activity, "检测到当前处于移动网络,继续下载将消耗流量,是否继续?", "等待WLAN", "继续", new f(activity, appInfo, this)).show();
            }
        }
    }

    private final void setEmptyView(View view) {
        List<T> data;
        CyDownloadManagerAdapter cyDownloadManagerAdapter = this.mAdapter;
        if (cyDownloadManagerAdapter != null) {
            if (cyDownloadManagerAdapter != null && (data = cyDownloadManagerAdapter.getData()) != 0) {
                data.clear();
            }
            CyDownloadManagerAdapter cyDownloadManagerAdapter2 = this.mAdapter;
            if (cyDownloadManagerAdapter2 != null) {
                cyDownloadManagerAdapter2.notifyDataSetChanged();
            }
            CyDownloadManagerAdapter cyDownloadManagerAdapter3 = this.mAdapter;
            if (cyDownloadManagerAdapter3 != null) {
                cyDownloadManagerAdapter3.setEmptyView(view);
            }
        }
    }

    private final void startSort(List<? extends e.g.b.c.b> list) {
        if (list == null) {
            return;
        }
        Collections.sort(list, new Comparator() { // from class: e.g.b.i.c.i
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return CyDownloadManagerFragment.m119startSort$lambda17(CyDownloadManagerFragment.this, (e.g.b.c.b) obj, (e.g.b.c.b) obj2);
            }
        });
    }

    /* renamed from: startSort$lambda-17  reason: not valid java name */
    public static final int m119startSort$lambda17(CyDownloadManagerFragment cyDownloadManagerFragment, e.g.b.c.b bVar, e.g.b.c.b bVar2) {
        AppInfo appInfo;
        AppInfo appInfo2;
        f0.checkNotNullParameter(cyDownloadManagerFragment, "this$0");
        String str = null;
        String iconUrl = (bVar == null || (appInfo2 = bVar.getAppInfo()) == null) ? null : appInfo2.getIconUrl();
        if (bVar2 != null && (appInfo = bVar2.getAppInfo()) != null) {
            str = appInfo.getIconUrl();
        }
        return cyDownloadManagerFragment.collectionsSort(iconUrl, str);
    }

    private final void timeSort(List<? extends e.g.b.c.b> list) {
        if (list == null) {
            return;
        }
        Collections.sort(list, new Comparator() { // from class: e.g.b.i.c.b
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return CyDownloadManagerFragment.m120timeSort$lambda14(CyDownloadManagerFragment.this, (e.g.b.c.b) obj, (e.g.b.c.b) obj2);
            }
        });
    }

    /* renamed from: timeSort$lambda-14  reason: not valid java name */
    public static final int m120timeSort$lambda14(CyDownloadManagerFragment cyDownloadManagerFragment, e.g.b.c.b bVar, e.g.b.c.b bVar2) {
        AppInfo appInfo;
        AppInfo appInfo2;
        f0.checkNotNullParameter(cyDownloadManagerFragment, "this$0");
        String str = null;
        String iconUrl = (bVar == null || (appInfo2 = bVar.getAppInfo()) == null) ? null : appInfo2.getIconUrl();
        if (bVar2 != null && (appInfo = bVar2.getAppInfo()) != null) {
            str = appInfo.getIconUrl();
        }
        return cyDownloadManagerFragment.collectionsSort(iconUrl, str);
    }

    public final long getLastHandlerSuccessTime() {
        return this.lastHandlerSuccessTime;
    }

    @Override // com.joke.chongya.basecommons.base.fragment.BaseVmFragment
    @Nullable
    public Integer getLayoutId() {
        return Integer.valueOf(R.layout.bm_fragment_download_manager);
    }

    @Override // com.joke.downframework.ui.fragments.BaseObserverLazyFragment
    public void handleExcption(@Nullable Object obj) {
        int i2;
        List<T> data;
        f0.checkNotNull(obj, "null cannot be cast to non-null type com.joke.downframework.data.entity.AppInfo");
        AppInfo appInfo = (AppInfo) obj;
        if (e.g.b.c.a.isContainId(appInfo.getAppid())) {
            CyDownloadManagerAdapter cyDownloadManagerAdapter = this.mAdapter;
            e.g.b.c.b bVar = null;
            List data2 = cyDownloadManagerAdapter != null ? cyDownloadManagerAdapter.getData() : null;
            if (data2 != null) {
                i2 = 0;
                int size = data2.size();
                while (i2 < size) {
                    if (((e.g.b.c.b) data2.get(i2)).getAppInfo() != null && appInfo.getAppid() == ((e.g.b.c.b) data2.get(i2)).getAppInfo().getAppid()) {
                        break;
                    }
                    i2++;
                }
            }
            i2 = -1;
            if (i2 != -1) {
                CyDownloadManagerAdapter cyDownloadManagerAdapter2 = this.mAdapter;
                if (cyDownloadManagerAdapter2 != null && (data = cyDownloadManagerAdapter2.getData()) != 0) {
                    bVar = (e.g.b.c.b) data.get(i2);
                }
                if (bVar != null) {
                    bVar.setAppInfo(appInfo);
                }
                CyDownloadManagerAdapter cyDownloadManagerAdapter3 = this.mAdapter;
                if (cyDownloadManagerAdapter3 != null) {
                    cyDownloadManagerAdapter3.notifyItemChanged(i2, bVar);
                }
            }
        }
    }

    @Override // com.joke.chongya.basecommons.base.fragment.LazyVmFragment
    public void lazyInit() {
        this.mAppItemLists = new ArrayList();
        this.mAdapter = new CyDownloadManagerAdapter(R.layout.item_app_manager_head, R.layout.item_app_manager, this.mAppItemLists);
        initAdapter();
        BmFragmentDownloadManagerBinding bmFragmentDownloadManagerBinding = (BmFragmentDownloadManagerBinding) getBaseBinding();
        RecyclerView recyclerView = bmFragmentDownloadManagerBinding != null ? bmFragmentDownloadManagerBinding.recyclerView : null;
        if (recyclerView != null) {
            recyclerView.setLayoutManager(new LinearLayoutManager(getContext()));
        }
        BmFragmentDownloadManagerBinding bmFragmentDownloadManagerBinding2 = (BmFragmentDownloadManagerBinding) getBaseBinding();
        RecyclerView recyclerView2 = bmFragmentDownloadManagerBinding2 != null ? bmFragmentDownloadManagerBinding2.recyclerView : null;
        if (recyclerView2 != null) {
            recyclerView2.setAdapter(this.mAdapter);
        }
        refreshAdapterData();
    }

    @Override // com.joke.downframework.ui.fragments.BaseObserverLazyFragment, androidx.fragment.app.Fragment
    public void onCreate(@Nullable Bundle bundle) {
        super.onCreate(bundle);
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public final void onDeletResumDownloadEvent(@Nullable DeletTaskResumDownloadEvent deletTaskResumDownloadEvent) {
        if ((deletTaskResumDownloadEvent != null ? deletTaskResumDownloadEvent.obj : null) != null) {
            Object obj = deletTaskResumDownloadEvent.obj;
            f0.checkNotNull(obj, "null cannot be cast to non-null type com.joke.downframework.data.entity.AppInfo");
            AppInfo appInfo = (AppInfo) obj;
            if (this.mAdapter != null) {
                appInfo.setDelSucceed(false);
                appInfo.setState(-1);
                if (BmNetWorkUtils.Companion.isMobileData()) {
                    appInfo.setIs4GDownload(true);
                }
                restartDownload(appInfo);
            }
        }
    }

    @Override // com.joke.downframework.ui.fragments.BaseObserverLazyFragment, com.joke.chongya.basecommons.base.fragment.BaseVmFragment, androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
    }

    @Subscribe
    public final void onRestart(@NotNull e.g.a.h.g.d dVar) {
        f0.checkNotNullParameter(dVar, "event");
        refreshAdapterData();
    }

    @Subscribe
    public final void onUnInstallApp(@Nullable UnInstallAppEvent unInstallAppEvent) {
        refreshAdapterData();
    }

    public final void restartDownload(@Nullable AppInfo appInfo) {
        AppInfo updateAppInfoDownStatus = e.g.b.c.a.updateAppInfoDownStatus(appInfo);
        if (updateAppInfoDownStatus != null) {
            updateAppInfoDownStatus.setAppstatus(0);
        }
        e.g.b.f.e.getInstance().down(getContext(), updateAppInfoDownStatus, true);
        refreshAdapterData();
    }

    public final void setLastHandlerSuccessTime(long j2) {
        this.lastHandlerSuccessTime = j2;
    }

    @Override // com.joke.downframework.ui.fragments.BaseObserverLazyFragment
    public int updateProgress(@Nullable Object obj) {
        int i2;
        List<T> data;
        boolean z;
        f0.checkNotNull(obj, "null cannot be cast to non-null type com.joke.downframework.data.entity.AppInfo");
        AppInfo appInfo = (AppInfo) obj;
        if (e.g.b.c.a.isContainId(appInfo.getAppid())) {
            e.g.b.c.b bVar = null;
            if (appInfo.getState() == 5 && appInfo.getAppstatus() != 2) {
                long currentTimeMillis = System.currentTimeMillis();
                long j2 = this.lastHandlerSuccessTime;
                if (j2 == 0 || currentTimeMillis - j2 > TooltipCompatHandler.HOVER_HIDE_TIMEOUT_SHORT_MS) {
                    this.lastHandlerSuccessTime = currentTimeMillis;
                    if (!this.isDownloadedShow) {
                        Log.i(e.g.a.g.a.LOG_TAG, "show new dialog");
                        Activity lastActivity = m.INSTANCE.getLastActivity();
                        if (lastActivity != null) {
                            Activity baseActivity = getBaseActivity();
                            if (baseActivity != null) {
                                String localClassName = lastActivity.getLocalClassName();
                                f0.checkNotNullExpressionValue(localClassName, "_currActivity.localClassName");
                                String localClassName2 = baseActivity.getLocalClassName();
                                f0.checkNotNullExpressionValue(localClassName2, "_baseActivity.localClassName");
                                z = StringsKt__StringsKt.contains$default((CharSequence) localClassName, (CharSequence) localClassName2, false, 2, (Object) null);
                            } else {
                                z = false;
                            }
                            if (z) {
                                this.isDownloadedShow = true;
                                e.g.a.f.j.g.i.Companion.createNewDialog(lastActivity).setAppName(appInfo.getAppname()).setAppIcon(appInfo.getIcon()).setOnCloseClickListener(new CyDownloadManagerFragment$updateProgress$1$dialog$1(this)).setOnJumpClickListener(new CyDownloadManagerFragment$updateProgress$1$dialog$2(lastActivity, appInfo, this)).show();
                            }
                        }
                    } else {
                        Log.i(e.g.a.g.a.LOG_TAG, "dialog already show");
                    }
                }
            }
            if (appInfo.getProgress() == 100) {
                refreshAdapterData();
            } else if (appInfo.getProgress() == 0 && appInfo.getAppstatus() == 3 && appInfo.getModListId() != 0) {
                refreshAdapterData();
            } else {
                CyDownloadManagerAdapter cyDownloadManagerAdapter = this.mAdapter;
                List data2 = cyDownloadManagerAdapter != null ? cyDownloadManagerAdapter.getData() : null;
                if (data2 != null) {
                    int size = data2.size();
                    i2 = 0;
                    while (i2 < size) {
                        if (((e.g.b.c.b) data2.get(i2)).getAppInfo() != null && appInfo.getAppid() == ((e.g.b.c.b) data2.get(i2)).getAppInfo().getAppid()) {
                            break;
                        }
                        i2++;
                    }
                }
                i2 = -1;
                if (i2 != -1) {
                    CyDownloadManagerAdapter cyDownloadManagerAdapter2 = this.mAdapter;
                    if (cyDownloadManagerAdapter2 != null && (data = cyDownloadManagerAdapter2.getData()) != 0) {
                        bVar = (e.g.b.c.b) data.get(i2);
                    }
                    if (bVar != null) {
                        bVar.setAppInfo(appInfo);
                    }
                    CyDownloadManagerAdapter cyDownloadManagerAdapter3 = this.mAdapter;
                    if (cyDownloadManagerAdapter3 != null) {
                        cyDownloadManagerAdapter3.notifyItemChanged(i2, bVar);
                    }
                }
            }
            return 0;
        }
        return 0;
    }
}
